/****************************************************************************
*
*                    SciTech SNAP Graphics Architecture
*
*  ========================================================================
*
*   Copyright (C) 1991-2004 SciTech Software, Inc. All rights reserved.
*
*   This file may be distributed and/or modified under the terms of the
*   GNU General Public License version 2 as published by the Free
*   Software Foundation and appearing in the file LICENSE.GPL included
*   in the packaging of this file.
*
*   Licensees holding a valid Commercial License for this product from
*   SciTech Software, Inc. may use this file in accordance with the
*   Commercial License Agreement provided with the Software.
*
*   This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING
*   THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR
*   PURPOSE.
*
*   See http://www.scitechsoft.com/license/ for information about
*   the licensing options available and how to purchase a Commercial
*   License Agreement.
*
*   Contact license@scitechsoft.com if any conditions of this licensing
*   are not clear to you, or you have questions about licensing options.
*
*  ========================================================================
*
* Language:     ANSI C
* Environment:  Any 32-bit protected mode environment
*
* Description:  Exported function list for SNAP drivers.
*
****************************************************************************/

//--------------------------------------------------------------------------
// Main function export table
//--------------------------------------------------------------------------

#ifdef LOCAL_GA_EXPORTS
static GA_exports GA_exportsLocal = {
#else
GA_exports _VARAPI __GA_exports = {
#endif
    sizeof(GA_exports),
    GA_status,
    GA_errorMsg,
    GA_getDaysLeft,
    GA_registerLicense,
    GA_enumerateDevices,
    GA_loadDriver,
    GA_setActiveDevice,
    NULL,
    GA_unloadDriver,
    REF2D_loadDriver,
    REF2D_unloadDriver,
    GA_loadRef2d,
    GA_unloadRef2d,
    GA_softStereoInit,
    GA_softStereoOn,
    GA_softStereoScheduleFlip,
    GA_softStereoGetFlipStatus,
    GA_softStereoWaitTillFlipped,
    GA_softStereoOff,
    GA_softStereoExit,
    GA_saveModeProfile,
    GA_saveOptions,
    GA_saveCRTCTimingsV1,
    GA_restoreCRTCTimingsV1,
    DDC_init,
    DDC_readEDID,
    EDID_parse,
    MCS_begin,
    MCS_getCapabilitiesString,
    MCS_isControlSupported,
    MCS_enableControl,
    MCS_getControlMax,
    MCS_getControlValue,
    MCS_getControlValues,
    MCS_setControlValue,
    MCS_setControlValues,
    MCS_resetControl,
    MCS_saveCurrentSettings,
    MCS_getTimingReport,
    MCS_getSelfTestReport,
    MCS_end,
    GA_loadInGUI,
    DDC_writeEDID,
    GA_useDoubleScan,
    GA_getMaxRefreshRateV1,
    GA_computeCRTCTimingsV1,
    GA_addMode,
    GA_addRefresh,
    GA_delMode,
    N_getLogName,
    N_log,
    MDBX_getErrCode,
    MDBX_getErrorMsg,
    MDBX_open,
    MDBX_close,
    MDBX_first,
    MDBX_last,
    MDBX_next,
    MDBX_prev,
    MDBX_insert,
    MDBX_update,
    MDBX_flush,
    MDBX_importINF,
    GA_getGlobalOptions,
    GA_setGlobalOptions,
    GA_saveGlobalOptions,
    GA_getInternalName,
    GA_getSNAPConfigPath,
    GA_getFakePCIID,
    GA_loadLibrary,
    GA_isOEMVersion,
    GA_isLiteVersion,
    GA_getDisplaySerialNo,
    GA_getDisplayUserName,
    NULL,
    GA_getCurrentRef2d,
    GA_getLicensedDevices,
    DDC_initExt,
    MCS_beginExt,
    GA_loadRegionMgr,
    GA_unloadRegionMgr,
    GA_getProcAddress,
    GA_enableVBEMode,
    GA_disableVBEMode,
    GA_loadModeProfile,
    GA_getCRTCTimingsV1,
    GA_setCRTCTimingsV1,
    GA_setDefaultRefreshV1,
    GA_saveMonitorInfoV1,
    GA_detectPnPMonitorV1,
    GA_queryFunctions,
    REF2D_queryFunctions,
    GA_getParsedEDID,
    GA_programMTRRegisters,
    GA_setExportTable,
    GA_setMinimumDriverVersion,
    GA_getRecommendedModesV1,
    GA_glLoadDriver,
    GA_glQueryFunctions,
    GA_glUnloadDriver,
    GA_getCRTCTimings,
    GA_setCRTCTimings,
    GA_setDefaultRefresh,
    GA_saveCRTCTimings,
    GA_restoreCRTCTimings,
    GA_saveMonitorInfo,
    GA_detectPnPMonitor,
    GA_getRecommendedModes,
    GA_getMaxRefreshRate,
    GA_computeCRTCTimings,
    };

