/****************************************************************************
*
*                    SciTech SNAP Graphics Architecture
*
*  ========================================================================
*
*   Copyright (C) 1991-2004 SciTech Software, Inc. All rights reserved.
*
*   This file may be distributed and/or modified under the terms of the
*   GNU General Public License version 2 as published by the Free
*   Software Foundation and appearing in the file LICENSE.GPL included
*   in the packaging of this file.
*
*   Licensees holding a valid Commercial License for this product from
*   SciTech Software, Inc. may use this file in accordance with the
*   Commercial License Agreement provided with the Software.
*
*   This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING
*   THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR
*   PURPOSE.
*
*   See http://www.scitechsoft.com/license/ for information about
*   the licensing options available and how to purchase a Commercial
*   License Agreement.
*
*   Contact license@scitechsoft.com if any conditions of this licensing
*   are not clear to you, or you have questions about licensing options.
*
*  ========================================================================
*
* Language:     ANSI C
* Environment:  Any 32-bit protected mode environment
*
* Description:  Internal header file for the SciTech SNAP Graphics
*               Architecture device driver loader library.
*
****************************************************************************/

#ifndef __SNAP_GRAPHICS_PCIINIT_H
#define __SNAP_GRAPHICS_PCIINIT_H

/*---------------------- Macros and type definitions ----------------------*/

#define DEVICE_MASK 0x7F

/*-------------------------- Function Prototypes --------------------------*/

#ifdef  __cplusplus
extern "C" {                        /* Use "C" linkage when in C++ mode */
#endif

int             _PCI_enumerateDevices(ibool enableFastWrite,int maxAGPRate);
PCIDeviceInfo * _PCI_findDevice(int device);
PCIDeviceInfo * _PCI_createFakePCIEntry(const char *fakePCIID);
ibool           _PCI_isSharedIRQ(PCIDeviceInfo *info);
ibool           _PCI_setActiveDevice(int deviceIndex);
void            _PCI_fixupSecondaryBARs(void);
void *          NAPI _PCI_mapBIOSImage(int deviceIndex);
void            NAPI _PCI_unmapBIOSImage(int deviceIndex);
ibool           NAPI _PCI_postController(N_int32 device);
ibool           NAPI _PCI_getPCIList(PCIDeviceInfo **PCIList,int *count);
ibool           NAPI _PCI_isAGPDevice(int deviceIndex);

#ifdef  __cplusplus
}                                   /* End of "C" linkage for C++       */
#endif

#endif  /* __SNAP_GRAPHICS_PCIINIT_H */

