/****************************************************************************
*
*                    SciTech SNAP Graphics Architecture
*
*  ========================================================================
*
*   Copyright (C) 1991-2004 SciTech Software, Inc. All rights reserved.
*
*   This file may be distributed and/or modified under the terms of the
*   GNU General Public License version 2 as published by the Free
*   Software Foundation and appearing in the file LICENSE.GPL included
*   in the packaging of this file.
*
*   Licensees holding a valid Commercial License for this product from
*   SciTech Software, Inc. may use this file in accordance with the
*   Commercial License Agreement provided with the Software.
*
*   This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING
*   THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR
*   PURPOSE.
*
*   See http://www.scitechsoft.com/license/ for information about
*   the licensing options available and how to purchase a Commercial
*   License Agreement.
*
*   Contact license@scitechsoft.com if any conditions of this licensing
*   are not clear to you, or you have questions about licensing options.
*
*  ========================================================================
*
* Language:     ANSI C
* Environment:  Any
*
* Description:  Module to implement chipset certification data. Must be
*               included in the driver detection module right after the
*               DRV_chipsetNames array is declared.
*
****************************************************************************/

/*--------------------------- Global variables ----------------------------*/

#define MAX_CHIPSETS    ((sizeof(AGP_chipsetNames) / sizeof(AGP_chipsetNames[0])) - 1)

AGP_certifyChipInfo DRV_agpCertifyChipInfo[MAX_CHIPSETS+1] = {
   {sizeof(AGP_certifyChipInfo),
    CERTIFY_SIGNATURE,
    0,
    CERTIFY_SIGNATURE,
    }};

AGP_certifyInfo     DRV_agpCertifyInfo = {
    sizeof(AGP_certifyInfo),
    CERTIFY_SIGNATURE,
    __DATE__ " " __TIME__,
    MAX_CHIPSETS,
    0,
    &DRV_agpCertifyChipInfo[1],
    };
