############################################################################
#
#                    SciTech SNAP Graphics Architecture
#
#  ========================================================================
#
#   Copyright (C) 1991-2004 SciTech Software, Inc. All rights reserved.
#
#   This file may be distributed and/or modified under the terms of the
#   GNU General Public License version 2 as published by the Free
#   Software Foundation and appearing in the file LICENSE.GPL included
#   in the packaging of this file.
#
#   Licensees holding a valid Commercial License for this product from
#   SciTech Software, Inc. may use this file in accordance with the
#   Commercial License Agreement provided with the Software.
#
#   This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING
#   THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR
#   PURPOSE.
#
#   See http://www.scitechsoft.com/license/ for information about
#   the licensing options available and how to purchase a Commercial
#   License Agreement.
#
#   Contact license@scitechsoft.com if any conditions of this licensing
#   are not clear to you, or you have questions about licensing options.
#
#  ========================================================================
#
# Descripton:   Common makefile script to build all AGP drivers.
#
#               The parent makefile must define CHIPNAME before including
#               this makefile to define the name of the driver created.
#
#############################################################################

#----------------------------------------------------------------------------
# Define the lists of object files
#----------------------------------------------------------------------------

OBJECTS     = dllstart$O agdetect$O agp_api$O agp_help$O getfunc$O agp_drv$O \
              _pm_imp$O $(LOCAL_OBJS)

LIBCLEAN    = *.dll *.lib *.a
LIBFILE     = bogus$L

#----------------------------------------------------------------------------
# Target to build debug binary drivers (default target)
#----------------------------------------------------------------------------

.PHONY db:
    @build_db ow10-drv $(CHIPNAME).dll BUILD_DLL=1 DBG=1 $(MFLAGS)
    k_cp $(CHIPNAME).dll $(SCITECH)\drivers\agp\$(CHIPNAME).drv

#----------------------------------------------------------------------------
# Target to build all binary SNAP drivers
#----------------------------------------------------------------------------

.PHONY mkdrv:
    @build ow10-drv $(CHIPNAME).dll -u BUILD_DLL=1 OPT=1 $(MFLAGS)
    k_cp $(CHIPNAME).dll $(PRIVATE)\snap\agp\$(CHIPNAME).drv
    @dmake cleanexe

#----------------------------------------------------------------------------
# Define the targets to build the real Binary Portable DLL driver
#----------------------------------------------------------------------------

$(CHIPNAME).dll: $(OBJECTS)

#----------------------------------------------------------------------------
# Define the list of object files to create dependency information for
#----------------------------------------------------------------------------

DEPEND_OBJ      = $(OBJECTS)
DEPEND_SRC      += $(PRIVATE)/src/snap/agp/drivers

.INCLUDE: "$(SCITECH)/makedefs/common.mk"

