/****************************************************************************
*
*                    SciTech SNAP Graphics Architecture
*
*  ========================================================================
*
*   Copyright (C) 1991-2004 SciTech Software, Inc. All rights reserved.
*
*   This file may be distributed and/or modified under the terms of the
*   GNU General Public License version 2 as published by the Free
*   Software Foundation and appearing in the file LICENSE.GPL included
*   in the packaging of this file.
*
*   Licensees holding a valid Commercial License for this product from
*   SciTech Software, Inc. may use this file in accordance with the
*   Commercial License Agreement provided with the Software.
*
*   This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING
*   THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR
*   PURPOSE.
*
*   See http://www.scitechsoft.com/license/ for information about
*   the licensing options available and how to purchase a Commercial
*   License Agreement.
*
*   Contact license@scitechsoft.com if any conditions of this licensing
*   are not clear to you, or you have questions about licensing options.
*
*  ========================================================================
*
* Language:     ANSI C
* Environment:  Any
*
* Description:  Hardware specific device driver code.
*
****************************************************************************/

#include "internal.h"

/*--------------------------- Global variables ----------------------------*/

/* Names of manufacturer and chip revision id's. */

char *AGP_manufacturerName = "Intel";

char *AGP_chipsetNames[] = {
    "440LX",
    "440BX",
    "440GX",
    NULL,
    };

#include "../certdata.c"

/*----------------------------- Implementation ----------------------------*/

/****************************************************************************
RETURNS:
True if hardware detected correctly, false if not.

REMARKS:
Detects the chipset revision for the AGP controller.
****************************************************************************/
ibool DRV_agpChipDetect(void)
{
    //------------------------------------------------------------------
    // Detect the chipset revision
    //------------------------------------------------------------------
    switch (AGP.hostBridge.DeviceID) {
        case 0x7180:    AGP.chipID = INTEL_440LX;   break;
        case 0x7190:    AGP.chipID = INTEL_440BX;   break;
        case 0x71A0:    AGP.chipID = INTEL_440GX;   break;
        default:        return false;
        }
    return true;
}

/****************************************************************************
REMARKS:
Configure the global driver device context with the appropriate information
for the detected hardware.
****************************************************************************/
N_int32 DRV_agpConfigure(void)
{
    // TODO: Implement this
    return nOK;
}

/****************************************************************************
REMARKS:
Does any device specific driver shutdown and memory de-allocation
****************************************************************************/
void DRV_agpShutdown(void)
{
    // TODO: Implement this
}

