/****************************************************************************
*
*                    SciTech SNAP Graphics Architecture
*
*  ========================================================================
*
*   Copyright (C) 1991-2004 SciTech Software, Inc. All rights reserved.
*
*   This file may be distributed and/or modified under the terms of the
*   GNU General Public License version 2 as published by the Free
*   Software Foundation and appearing in the file LICENSE.GPL included
*   in the packaging of this file.
*
*   Licensees holding a valid Commercial License for this product from
*   SciTech Software, Inc. may use this file in accordance with the
*   Commercial License Agreement provided with the Software.
*
*   This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING
*   THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR
*   PURPOSE.
*
*   See http://www.scitechsoft.com/license/ for information about
*   the licensing options available and how to purchase a Commercial
*   License Agreement.
*
*   Contact license@scitechsoft.com if any conditions of this licensing
*   are not clear to you, or you have questions about licensing options.
*
*  ========================================================================
*
* Language:     ANSI C
* Environment:  IBM PC (MS DOS)
*
* Description:  Header file containing the internal chipset definitions
*               for the driver.
*
****************************************************************************/

#ifndef __CHIPID_H
#define __CHIPID_H

#include "snap/graphics/driver.h"

/*--------------------- Macros and type definitions -----------------------*/

/* Chip revision types */

typedef enum {
    TDFX_BANSHEE,
    TDFX_VOODOO3,
    TDFX_VOODOO4,
    TDFX_VOODOO5,
    } GA_chipsets;

/* RAMDAC types */

typedef enum {
    DAC_TDFX,           /* Internal 24 bit DAC              */
    } GA_dacType;

/* Clock chip types */

typedef enum {
    CLK_TDFX,           /* Internal Clock                   */
    } GA_clkTypes;

/*-------------------------- Function Prototypes --------------------------*/

/* Register lock/unlock functions in reglock.c */

void    TDFX_unlockRegisters(void);
void    TDFX_lockRegisters(void);

/* DPMS support functions */

void    TDFX_setDPMS(uchar state);

/* DDC support functions */

void    NAPI TDFX_SCIbegin(N_int32 channel);
void    NAPI TDFX_SCIend(N_int32 channel);
void    NAPI TDFX_SCIwriteSCL(N_int32 channel,N_int32 bit);
void    NAPI TDFX_SCIwriteSDA(N_int32 channel,N_int32 bit);
int     NAPI TDFX_SCIreadSCL(N_int32 channel);
int     NAPI TDFX_SCIreadSDA(N_int32 channel);

#endif  /* __CHIPID_H */

