/****************************************************************************
*
*                    SciTech SNAP Graphics Architecture
*
*  ========================================================================
*
*   Copyright (C) 1991-2004 SciTech Software, Inc. All rights reserved.
*
*   This file may be distributed and/or modified under the terms of the
*   GNU General Public License version 2 as published by the Free
*   Software Foundation and appearing in the file LICENSE.GPL included
*   in the packaging of this file.
*
*   Licensees holding a valid Commercial License for this product from
*   SciTech Software, Inc. may use this file in accordance with the
*   Commercial License Agreement provided with the Software.
*
*   This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING
*   THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR
*   PURPOSE.
*
*   See http://www.scitechsoft.com/license/ for information about
*   the licensing options available and how to purchase a Commercial
*   License Agreement.
*
*   Contact license@scitechsoft.com if any conditions of this licensing
*   are not clear to you, or you have questions about licensing options.
*
*  ========================================================================
*
* Language:     ANSI C
* Environment:  Any
*
* Description:  Chipset specific VGA CRTC profile tables.
*
****************************************************************************/

#include "snap/graphics/driver.h"
#include "internal.h"

//---------------------------------------------------------------------------
// Register profile for horizontal extended VGA CRTC registers.
//---------------------------------------------------------------------------

ushort TDFX_HCRTCRegsDesc[] = {
    RG_TOTAL,                   // hTotal
    RG_STARTBIT (8),
    RG_IPORT    (0x3D4,0x1A),
    RG_MASK     (B00000001),    // bit 8

    RG_DISPLAY,                 // hDisp
    RG_STARTBIT (8),
    RG_INDEX    (0x1A),
    RG_MASK     (B00000100),    // bit 8

    RG_BLANK_START,             // hBlankStart
    RG_STARTBIT (8),
    RG_INDEX    (0x1A),
    RG_MASK     (B00010000),    // bit 8

    RG_BLANK_END,               // hBlankEnd
    RG_STARTBIT (6),
    RG_INDEX    (0x1A),
    RG_MASK     (B00100000),    // bit 6

    RG_SYNC_START,              // hSyncStart
    RG_STARTBIT (8),
    RG_INDEX    (0x1A),
    RG_MASK     (B01000000),    // bit 8

    RG_SYNC_END,                // hSyncEnd
    RG_STARTBIT (5),
    RG_INDEX    (0x1A),
    RG_MASK     (B10000000),    // bit 5

    VGA_HCRTC_REGS_DESC,        // Standard VGA definitions
    };

ushort TDFX_VCRTCRegsDesc[] = {
    RG_TOTAL,                   // vTotal
    RG_STARTBIT (10),
    RG_IPORT    (0x3D4,0x1B),
    RG_MASK     (B00000001),    // bit 10

    RG_DISPLAY,                 // vDisp
    RG_STARTBIT (10),
    RG_INDEX    (0x1B),
    RG_MASK     (B00000100),    // bit 10

    RG_BLANK_START,             // vBlankStart
    RG_STARTBIT (10),
    RG_INDEX    (0x1B),
    RG_MASK     (B00010000),    // bit 10

    RG_SYNC_START,              // vSyncStart
    RG_STARTBIT (10),
    RG_INDEX    (0x1B),
    RG_MASK     (B01000000),    // bit 10

    VGA_VCRTC_REGS_DESC,        // Standard VGA definitions
    };

