/****************************************************************************
*
*                    SciTech SNAP Graphics Architecture
*
*  ========================================================================
*
*   Copyright (C) 1991-2004 SciTech Software, Inc. All rights reserved.
*
*   This file may be distributed and/or modified under the terms of the
*   GNU General Public License version 2 as published by the Free
*   Software Foundation and appearing in the file LICENSE.GPL included
*   in the packaging of this file.
*
*   Licensees holding a valid Commercial License for this product from
*   SciTech Software, Inc. may use this file in accordance with the
*   Commercial License Agreement provided with the Software.
*
*   This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING
*   THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR
*   PURPOSE.
*
*   See http://www.scitechsoft.com/license/ for information about
*   the licensing options available and how to purchase a Commercial
*   License Agreement.
*
*   Contact license@scitechsoft.com if any conditions of this licensing
*   are not clear to you, or you have questions about licensing options.
*
*  ========================================================================
*
* Language:     ANSI C
* Environment:  Any
*
* Description:  Chipset register profile tables. Only used by the
*               analyse and optimise programs.
*
****************************************************************************/

#include "../vgaprof.c"

//------------------------------------------------------------------
// chipset register profile
//------------------------------------------------------------------

static ulong TDFX_regProfile[] = {
    FIXIO_I(0x3D4,0x1A,     "Extended VGA Control 1"),
    FIXIO_I(0x3D4,0x1B,     "Extended VGA Control 2"),
    RELIO_D(0x04,           "PCI init"),
    RELIO_D(0x0C,           "LFB Memory Config"),
    RELIO_D(0x10,           "Misc Init 0"),
    RELIO_D(0x14,  "~~POST~~ Misc Init 1"),
    RELIO_D(0x18,  "~~POST~~ DRAM Init 0"),
    RELIO_D(0x1C,  "~~POST~~ DRAM Init 1"),
    RELIO_D(0x20,           "AGP initialization"),
    RELIO_D(0x24,           "Texture Backend"),
    RELIO_D(0x28,           "VGA Init 0"),
    RELIO_D(0x2C,  "~~POST~~ VGA Init 1"),
    RELIO_D(0x30,           "2D Command"),
    RELIO_D(0x34,           "2D Src Base Addr"),
    RELIO_D(0x38,           "bootstrap info"),
    RELIO_D(0x3C,           "reserved 0"),
    RELIO_D(0x40,           "PLL Control 0"),
    RELIO_D(0x44,           "PLL Control 1"),
    RELIO_D(0x48,           "PLL Control 2"),
    RELIO_D(0x4C,           "DAC Mode"),
    RELIO_D(0x50,           "DAC Addr"),
    RELIO_D(0x54,           "DAC Data"),
    RELIO_D(0x5C,           "Video Processor Config"),
    RELIO_D(0x60,           "Cursor Pattern Address"),
    RELIO_D(0x70,           "Video In Format"),
    RELIO_D(0x98,           "Screen Size"),
    RELIO_D(0xe4,           "Video Desktop Start Addr"),
    RELIO_D(0xe8,           "Desktop Stride"),
    REG_REFERENCE(VGA_regProfile),
    REG_TERMINATOR,
    };

//------------------------------------------------------------------
// Table to find register profile indexed by chip ID
//------------------------------------------------------------------

ulong * DRV_regProfile[] = {
    TDFX_regProfile,
    TDFX_regProfile,
    TDFX_regProfile,
    TDFX_regProfile,
    };

