############################################################################
#
#                    SciTech SNAP Graphics Architecture
#
#  ========================================================================
#
#   Copyright (C) 1991-2004 SciTech Software, Inc. All rights reserved.
#
#   This file may be distributed and/or modified under the terms of the
#   GNU General Public License version 2 as published by the Free
#   Software Foundation and appearing in the file LICENSE.GPL included
#   in the packaging of this file.
#
#   Licensees holding a valid Commercial License for this product from
#   SciTech Software, Inc. may use this file in accordance with the
#   Commercial License Agreement provided with the Software.
#
#   This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING
#   THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR
#   PURPOSE.
#
#   See http://www.scitechsoft.com/license/ for information about
#   the licensing options available and how to purchase a Commercial
#   License Agreement.
#
#   Contact license@scitechsoft.com if any conditions of this licensing
#   are not clear to you, or you have questions about licensing options.
#
#  ========================================================================
#
# Descripton:   Common makefile script to build all SDD filter drivers.
#
#               The parent makefile must define FILTNAME before including
#               this makefile to define the name of the driver created.
#
#############################################################################

#----------------------------------------------------------------------------
# DOS extender dependant flags
#----------------------------------------------------------------------------

CFLAGS      += $(DX_CFLAGS) -I$(PRIVATE)\src\snap\graphics -I$(PRIVATE)\src\snap\graphics\drivers\detect
ASFLAGS     += $(DX_ASFLAGS) -I$(PRIVATE)\include

#----------------------------------------------------------------------------
# Define the lists of object files
#----------------------------------------------------------------------------

DLL_OBJS    = dllstart$O _pm_imp$O $(FILTNAME)$O $(LOCAL_OBJS)

LIBCLEAN    = *.dll *.lib *.a

#----------------------------------------------------------------------------
# Target to build the debug binary driver
#----------------------------------------------------------------------------

.PHONY db:
    @build_db ow10-drv $(FILTNAME).dll BUILD_DLL=1 DBG=1 $(MFLAGS)
    k_cp $(FILTNAME).dll $(SCITECH)\drivers\graphics\$(FILTNAME).drv

#----------------------------------------------------------------------------
# Target to build the release binary driver
#----------------------------------------------------------------------------

.PHONY mkdrv:
    @build ow10-drv $(FILTNAME).dll -u BUILD_DLL=1 OPT=1
    k_cp $(FILTNAME).dll $(PRIVATE)\snap\graphics\$(FILTNAME).drv
    @dmake cleanexe

#----------------------------------------------------------------------------
# Main dll target (last so 'db' is default)
#----------------------------------------------------------------------------

$(FILTNAME).dll: $(DLL_OBJS)

#----------------------------------------------------------------------------
# Define the list of object files to create dependency information for
#----------------------------------------------------------------------------

DEPEND_OBJ      = $(DLL_OBJS)
DEPEND_SRC      = $(PRIVATE)/src/snap/common;$(PRIVATE)/src/graphics/drivers

.INCLUDE: "$(SCITECH)/makedefs/common.mk"

