/****************************************************************************
*
*                    SciTech SNAP Graphics Architecture
*
*  ========================================================================
*
*   Copyright (C) 1991-2004 SciTech Software, Inc. All rights reserved.
*
*   This file may be distributed and/or modified under the terms of the
*   GNU General Public License version 2 as published by the Free
*   Software Foundation and appearing in the file LICENSE.GPL included
*   in the packaging of this file.
*
*   Licensees holding a valid Commercial License for this product from
*   SciTech Software, Inc. may use this file in accordance with the
*   Commercial License Agreement provided with the Software.
*
*   This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING
*   THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR
*   PURPOSE.
*
*   See http://www.scitechsoft.com/license/ for information about
*   the licensing options available and how to purchase a Commercial
*   License Agreement.
*
*   Contact license@scitechsoft.com if any conditions of this licensing
*   are not clear to you, or you have questions about licensing options.
*
*  ========================================================================
*
* Language:     ANSI C
* Environment:  Any
*
* Description:  Test harness for the non-PCI device detection module.
*
****************************************************************************/

#include "snap/graphics/driver.h"
#include <stdio.h>
#include <stdlib.h>

/*--------------------------- Global variables ----------------------------*/

N_imports _VARAPI _N_imports = {
    sizeof(N_imports),
#ifndef __INTEL__
    _OS_delay,
    _OS_inpb,
    _OS_inpw,
    _OS_inpd,
    _OS_outpb,
    _OS_outpw,
    _OS_outpd,
#endif
    };

/*----------------------------- Implementation ----------------------------*/

int main(void)
{
    char    name[80];

    if (GA_detectDevice(name,&_N_imports,&_PM_imports))
        printf("Graphics device found: %s\n", name);
    else
        printf("No graphics hardware found!\n");
    return 0;
}

