;****************************************************************************
;*
;*                    SciTech SNAP Graphics Architecture
;*
;*  ========================================================================
;*
;*   Copyright (C) 1991-2004 SciTech Software, Inc. All rights reserved.
;*
;*   This file may be distributed and/or modified under the terms of the
;*   GNU General Public License version 2 as published by the Free
;*   Software Foundation and appearing in the file LICENSE.GPL included
;*   in the packaging of this file.
;*
;*   Licensees holding a valid Commercial License for this product from
;*   SciTech Software, Inc. may use this file in accordance with the
;*   Commercial License Agreement provided with the Software.
;*
;*   This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING
;*   THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR
;*   PURPOSE.
;*
;*   See http://www.scitechsoft.com/license/ for information about
;*   the licensing options available and how to purchase a Commercial
;*   License Agreement.
;*
;*   Contact license@scitechsoft.com if any conditions of this licensing
;*   are not clear to you, or you have questions about licensing options.
;*
;*  ========================================================================
;*
;* Language:    8086 Assembler
;* Environment: IBM PC
;*
;* Description: Assembly language support routines for Visual Age C++.
;*
;****************************************************************************

        IDEAL

include "scitech.mac"

header  _vbe

begcodeseg  _vbe

;----------------------------------------------------------------------------
; void CallPMSetBank(void *addr,int bank,int window);
;----------------------------------------------------------------------------
cprocstart  CallPMSetBank

        ARG     addr:DPTR, bank:UINT, window:UINT

        enter_c
        mov     eax,[addr]
        mov     edx,[bank]
        mov     ebx,[window]
        call    eax
        leave_c
        ret

cprocend

;----------------------------------------------------------------------------
; void CallPMDisplayStart(void *addr,ulong startOff,uchar waitFlag);
;----------------------------------------------------------------------------
cprocstart  CallPMDisplayStart

        ARG     addr:DPTR, startOff:UINT, waitFlag:UCHAR

        enter_c
        mov     eax,[addr]
        mov     edx,[startOff]
        mov     bl,[waitFlag]
        mov     cx,dx
        shr     edx,16
        call    eax
        leave_c
        ret

cprocend

;----------------------------------------------------------------------------
; void CallPMSetPalette(void *addr,GA_palette *pal,int num,int index,uchar waitVRT);
;----------------------------------------------------------------------------
cprocstart  CallPMSetPalette

        ARG     addr:DPTR, pal:DPTR, num:UINT, index:UINT, waitVRT:UCHAR

        enter_c
        mov     eax,[addr]
        mov     edi,[pal]
        mov     ecx,[num]
        mov     edx,[index]
        mov     bl,[waitVRT]
        call    eax
        leave_c
        ret

cprocend

endcodeseg  _vbe

        END                         ; End of module

