/****************************************************************************
*
*                    SciTech SNAP Graphics Architecture
*
*  ========================================================================
*
*   Copyright (C) 1991-2004 SciTech Software, Inc. All rights reserved.
*
*   This file may be distributed and/or modified under the terms of the
*   GNU General Public License version 2 as published by the Free
*   Software Foundation and appearing in the file LICENSE.GPL included
*   in the packaging of this file.
*
*   Licensees holding a valid Commercial License for this product from
*   SciTech Software, Inc. may use this file in accordance with the
*   Commercial License Agreement provided with the Software.
*
*   This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING
*   THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR
*   PURPOSE.
*
*   See http://www.scitechsoft.com/license/ for information about
*   the licensing options available and how to purchase a Commercial
*   License Agreement.
*
*   Contact license@scitechsoft.com if any conditions of this licensing
*   are not clear to you, or you have questions about licensing options.
*
*  ========================================================================
*
* Language:     ANSI C
* Environment:  Any
*
* Description:  Module containg PLL clock programing functions.
*
****************************************************************************/

#include "internal.h"

/*----------------------------- Implementation ----------------------------*/

/****************************************************************************
REMARKS:
Configure the Clock module ready for use.
****************************************************************************/
void CLOCK_init(void)
{
    //------------------------------------------------------------------
    // Configure the pixel clock limits
    //------------------------------------------------------------------
    DV.pixelClockMaxTxt = N_FIXCONST(30.0);
    DV.pixelClockMax4   = N_FIXCONST(26.0);
    DV.pixelClockMax8   = N_FIXCONST(13.0);

    //------------------------------------------------------------------
    // Configure the discrete clocks
    //------------------------------------------------------------------
    DV.pixelClock.flags             = gaPLL_tableDriven | gaPLL_clockHalve;
    DV.pixelClock.numClocks         = 2;
    DV.pixelClock.validClocks[0]    = N_FIXCONST(25.175);
    DV.pixelClock.validClocks[1]    = N_FIXCONST(28.322);

    //------------------------------------------------------------------
    // Configure the pixel and memory clock programming functions
    //------------------------------------------------------------------
    DV.pll.calculateClock       = DRV_calculateClock;
}
