/****************************************************************************
*
*                    SciTech SNAP Graphics Architecture
*
*  ========================================================================
*
*   Copyright (C) 1991-2004 SciTech Software, Inc. All rights reserved.
*
*   This file may be distributed and/or modified under the terms of the
*   GNU General Public License version 2 as published by the Free
*   Software Foundation and appearing in the file LICENSE.GPL included
*   in the packaging of this file.
*
*   Licensees holding a valid Commercial License for this product from
*   SciTech Software, Inc. may use this file in accordance with the
*   Commercial License Agreement provided with the Software.
*
*   This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING
*   THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR
*   PURPOSE.
*
*   See http://www.scitechsoft.com/license/ for information about
*   the licensing options available and how to purchase a Commercial
*   License Agreement.
*
*   Contact license@scitechsoft.com if any conditions of this licensing
*   are not clear to you, or you have questions about licensing options.
*
*  ========================================================================
*
* Language:     ANSI C
* Environment:  Any
*
* Description:  Header file containing the internal chipset definitions
*               for the driver.
*
****************************************************************************/

#ifndef __INTERNAL_H
#define __INTERNAL_H

#include "chipid.h"

/*--------------------- Macros and type definitions -----------------------*/

/* Maximum CRT offset register value (with extension bits */

#define VGA_MAX_OFFSET          0xFF

/*-------------------------- Function Prototypes --------------------------*/

/* Chipset specific helper functions */

ulong   VGA_getModeFlags(GA_mode *mode);
void    VGA_setPixelClock(N_fix32 clock);
void    VGA_get2DAccelInfo(GA_modeInfo *gaInfo,GA_modeEntry *entry,N_int32 virtualX,N_int32 virtualY);
void    VGA_getVideoAccelInfo(GA_modeInfo *gaInfo,GA_modeEntry *entry);
void    VGA_get3DAccelInfo(GA_modeInfo *gaInfo,GA_modeEntry *entry);
void    VGA_lockDownTimings(VGA_hCRTC *h,VGA_vCRTC *v,GA_CRTCInfo *crtc);

/* Chipset specific API functions */

void    NAPI VGA_SetBank(N_int32 bank);
void    NAPI VGA_SetDisplayStart(N_int32 offset,N_int32 waitVRT);

#endif  /* __INTERNAL_H */
