/****************************************************************************
*
*                    SciTech SNAP Graphics Architecture
*
*  ========================================================================
*
*   Copyright (C) 1991-2004 SciTech Software, Inc. All rights reserved.
*
*   This file may be distributed and/or modified under the terms of the
*   GNU General Public License version 2 as published by the Free
*   Software Foundation and appearing in the file LICENSE.GPL included
*   in the packaging of this file.
*
*   Licensees holding a valid Commercial License for this product from
*   SciTech Software, Inc. may use this file in accordance with the
*   Commercial License Agreement provided with the Software.
*
*   This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING
*   THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR
*   PURPOSE.
*
*   See http://www.scitechsoft.com/license/ for information about
*   the licensing options available and how to purchase a Commercial
*   License Agreement.
*
*   Contact license@scitechsoft.com if any conditions of this licensing
*   are not clear to you, or you have questions about licensing options.
*
*  ========================================================================
*
* Language:     ANSI C
* Environment:  Any 32-bit protected mode environment
*
* Description:  Internal header file for the SNAP device neutral loader
*               code.
*
****************************************************************************/

#ifndef	__LOADER_H
#define	__LOADER_H

#include "snap/graphics/common.h"
#include "snap/common/internal.h"
#include "snap/common/io.h"
#include "snap/graphics/pciinit.h"
#include "snap/gl3d.h"
#include "clib/peloader.h"
#include "clib/os/os.h"
#include "clib/attrib.h"
#define	SCITECH
#include "biosemu.h"
#ifndef	__WIN32_VXD__
#include <ctype.h>
#include <math.h>
#include <stdarg.h>
#endif

/*---------------------------- Global Variables ---------------------------*/

/* Global variables internal to SNAP loader */

extern char			        SNAPConfigPath[PM_MAX_PATH];

/* Global array of X86 emulator state for all devices */

extern BE_VGAInfo	        *VGAInfo;
extern ibool		        BE_loaded;
extern PM_imports _VARAPI   _PM_importsOrg;


/*-------------------------- Function Prototypes --------------------------*/

/* Internal functions */

N_int32     _GA_initInternal(GA_devCtx *dc,int device);
int         _GA_checkDDCCertification(GA_devCtx *dc);
int NAPI    _DDC_quickDetect(GA_SCIFuncs *sciFuncs,N_int32 iChannel);
int NAPI    _DDC_getFlatPanelResolution(GA_SCIFuncs *sciFuncs,N_int32 iChannel,N_int16 *xRes, N_int16 *yRes);

/* Internal DDC/CI transport protocol functions */

int         SendDDC2BiMsg(uchar *data,uchar length);
int         GetDDC2BiMsg(uchar *data,uchar *length);

/* Function to load the BIOS emulator library */
ibool       _GA_loadBIOSEmulator(int deviceIndex);

#endif	/* __LOADER_H */

