/****************************************************************************
*
*                    SciTech SNAP Graphics Architecture
*
*  ========================================================================
*
*   Copyright (C) 1991-2004 SciTech Software, Inc. All rights reserved.
*
*   This file may be distributed and/or modified under the terms of the
*   GNU General Public License version 2 as published by the Free
*   Software Foundation and appearing in the file LICENSE.GPL included
*   in the packaging of this file.
*
*   Licensees holding a valid Commercial License for this product from
*   SciTech Software, Inc. may use this file in accordance with the
*   Commercial License Agreement provided with the Software.
*
*   This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING
*   THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR
*   PURPOSE.
*
*   See http://www.scitechsoft.com/license/ for information about
*   the licensing options available and how to purchase a Commercial
*   License Agreement.
*
*   Contact license@scitechsoft.com if any conditions of this licensing
*   are not clear to you, or you have questions about licensing options.
*
*  ========================================================================
*
* Language:     ANSI C
* Environment:  Any
*
* Description:  Default CRTC timing tables for SciTech Display Doctor.
*
****************************************************************************/

static CDBX_record crtc[] = {
// 100x43 text mode (8x8 character cell)
    {  800,  350, 1008,  824,  904,  520,  409,  412,   // 800x350 @ 60 Hz
      31449600, 6000, gaHSyncNeg },
    {  800,  350, 1008,  824,  904,  446,  379,  382,   // 800x350 @ 70 Hz
      31467600, 7000, gaHSyncNeg },
    {  800,  350, 1008,  824,  904,  416,  368,  371,   // 800x350 @ 75 Hz
      31449600, 7500, gaHSyncNeg },
    {  800,  350, 1008,  824,  904,  390,  359,  362,   // 800x350 @ 80 Hz
      31449600, 8000, gaHSyncNeg },
    {  800,  350, 1008,  824,  904,  368,  351,  354,   // 800x350 @ 85 Hz
      31530000, 8500, gaHSyncNeg | gaDefaultRefresh},

// 100x50 text mode (8x8 character cell)
    {  800,  400,  992,  816,  896,  520,  449,  452,   // 800x400 @ 60 Hz
      30950400, 6000, gaHSyncNeg },
    {  800,  400,  992,  816,  896,  446,  414,  417,   // 800x400 @ 70 Hz
      30970240, 7000, gaHSyncNeg | gaDefaultRefresh },
    {  800,  400, 1008,  824,  904,  418,  401,  404,   // 800x400 @ 75 Hz
      31600800, 7500, gaHSyncNeg },
    {  800,  400, 1008,  824,  904,  419,  401,  404,   // 800x400 @ 80 Hz
      33788160, 8000, gaHSyncNeg },
    {  800,  400, 1024,  832,  912,  421,  401,  404,   // 800x400 @ 85 Hz
      36643840, 8500, gaHSyncNeg },

// 100x60 text mode (8x8 character cell)
    {  800,  480,  992,  816,  896,  497,  481,  484,   // 800x480 @ 60 Hz
      29581440, 6000, gaHSyncNeg },
    {  800,  480, 1024,  832,  912,  500,  481,  484,   // 800x480 @ 70 Hz
      35840000, 7000, gaHSyncNeg | gaDefaultRefresh },
    {  800,  480, 1024,  832,  912,  502,  481,  484,   // 800x480 @ 75 Hz
      38553600, 7500, gaHSyncNeg },
    {  800,  480, 1040,  840,  920,  503,  481,  484,   // 800x480 @ 80 Hz
      41849600, 8000, gaHSyncNeg },
    {  800,  480, 1040,  840,  920,  505,  481,  484,   // 800x480 @ 85 Hz
      44642000, 8500, gaHSyncNeg },

// 132x43 text mode (8x8 character cell)
    { 1056,  350, 1304, 1080, 1128,  520,  435,  438,   // 1056x350 @ 60 Hz
      40684800, 6000, gaHSyncNeg },
    { 1056,  350, 1304, 1080, 1128,  446,  394,  397,   // 1056x350 @ 70 Hz
      40710880, 7000, gaHSyncNeg },
    { 1056,  350, 1304, 1080, 1128,  418,  372,  375,   // 1056x350 @ 75 Hz
      40880400, 7500, gaHSyncNeg },
    { 1056,  350, 1304, 1080, 1128,  394,  358,  372,   // 1056x350 @ 80 Hz
      41102080, 8000, gaHSyncNeg | gaDefaultRefresh },
    { 1056,  350, 1304, 1080, 1128,  394,  358,  372,   // 1056x350 @ 85 Hz
      43670960, 8500, gaHSyncNeg },

// 132x50 text mode (8x8 character cell)
    { 1056,  400, 1304, 1080, 1128,  520,  446,  454,   // 1056x400 @ 60 Hz
      40684800, 6000, gaHSyncNeg },
    { 1056,  400, 1304, 1080, 1128,  450,  414,  422,   // 1056x400 @ 70 Hz
      41076000, 7000, gaHSyncNeg | gaDefaultRefresh },
    { 1056,  400, 1304, 1080, 1128,  450,  414,  422,   // 1056x400 @ 75 Hz
      44010000, 7500, gaHSyncNeg },
    { 1056,  400, 1304, 1080, 1128,  450,  414,  422,   // 1056x400 @ 80 Hz
      46944000, 8000, gaHSyncNeg },
    { 1056,  400, 1344, 1096, 1200,  421,  401,  404,   // 1056x400 @ 85 Hz
      48095040, 8500, gaHSyncNeg },

// 132x60 text mode (8x8 character cell)
    { 1056,  480, 1312, 1080, 1184,  497,  481,  484,   // 1056x480 @ 60 Hz
      39123840, 6000, gaHSyncNeg },
    { 1056,  480, 1344, 1096, 1200,  500,  481,  484,   // 1056x480 @ 70 Hz
      47040000, 7000, gaHSyncNeg | gaDefaultRefresh },
    { 1056,  480, 1360, 1096, 1208,  502,  481,  484,   // 1056x480 @ 75 Hz
      51204000, 7500, gaHSyncNeg },
    { 1056,  480, 1360, 1096, 1208,  503,  481,  484,   // 1056x480 @ 80 Hz
      54726400, 8000, gaHSyncNeg },
    { 1056,  480, 1376, 1104, 1216,  505,  481,  484,   // 1056x480 @ 85 Hz
      59064800, 8500, gaHSyncNeg },

// 80x50 text mode (8x14 character cell)
    {  640,  700,  832,  672,  736,  725,  701,  704,   // 640x700 @ 60 Hz
      36192000, 6000, gaHSyncNeg },
    {  640,  700,  848,  680,  744,  729,  701,  704,   // 640x700 @ 70 Hz
      43273440, 7000, gaHSyncNeg | gaDefaultRefresh },

// 80x60 text mode (8x14 character cell)
    {  640,  840,  848,  680,  744,  870,  841,  844,   // 640x840 @ 60 Hz
      44265600, 6000, gaHSyncNeg },
    {  640,  840,  848,  680,  744,  875,  841,  844,   // 640x840 @ 70 Hz
      51940000, 7000, gaHSyncNeg | gaDefaultRefresh },

// 100x50 text mode (8x14 character cell)
    {  800,  700, 1040,  840,  920,  725,  701,  704,   // 800x700 @ 60 Hz
      45239999, 6000, gaHSyncNeg },
    {  800,  700, 1056,  840,  928,  729,  701,  704,   // 800x700 @ 70 Hz
      53887679, 7000, gaHSyncNeg | gaDefaultRefresh },

// 100x60 text mode (8x14 character cell)
    {  800,  840, 1056,  840,  928,  870,  841,  844,   // 800x840 @ 60 Hz
      55123200, 6000, gaHSyncNeg },
    {  800,  840, 1072,  848,  936,  875,  841,  844,   // 800x840 @ 70 Hz
      65660000, 7000, gaHSyncNeg | gaDefaultRefresh },

// 132x50 text mode (8x14 character cell)
    { 1056,  700, 1376, 1104, 1216,  725,  701,  704,   // 1056x700 @ 60 Hz
      59856000, 6000, gaHSyncNeg },
    { 1056,  700, 1392, 1112, 1224,  729,  701,  704,   // 1056x700 @ 70 Hz
      71033760, 7000, gaHSyncNeg | gaDefaultRefresh },

// 132x60 text mode (8x14 character cell)
    { 1056,  840, 1392, 1112, 1224,  870,  841,  844,   // 1056x840 @ 60 Hz
      72662399, 6000, gaHSyncNeg },
    { 1056,  840, 1408, 1120, 1232,  875,  841,  844,   // 1056x840 @ 70 Hz
      86240000, 7000, gaHSyncNeg | gaDefaultRefresh },

// 80x50 text mode (8x16 character cell)
    {  640,  800,  848,  680,  744,  828,  801,  804,   // 640x800 @ 60 Hz
      42128640, 6000, gaHSyncNeg },
    {  640,  800,  848,  680,  744,  833,  801,  804,   // 640x800 @ 70 Hz
      49446879, 7000, gaHSyncNeg | gaDefaultRefresh },

// 80x60 text mode (8x16 character cell)
    {  640,  960,  848,  680,  744,  994,  961,  964,   // 640x960 @ 60 Hz
      50574720, 6000, gaHSyncNeg },
    {  640,  960,  864,  680,  752,  999,  961,  964,   // 640x960 @ 70 Hz
      60419520, 7000, gaHSyncNeg | gaDefaultRefresh },

// 100x50 text mode (8x16 character cell)
    {  800,  800, 1056,  840,  928,  828,  801,  804,   // 800x800 @ 60 Hz
      52462080, 6000, gaHSyncNeg },
    {  800,  800, 1072,  848,  936,  833,  801,  804,   // 800x800 @ 70 Hz
      62508319, 7000, gaHSyncNeg | gaDefaultRefresh },

// 100x60 text mode (8x16 character cell)
    {  800,  960, 1072,  848,  936,  994,  961,  964,   // 800x960 @ 60 Hz
      63934079, 6000, gaHSyncNeg },
    {  800,  960, 1072,  848,  936,  999,  961,  964,   // 800x960 @ 70 Hz
      74964959, 7000, gaHSyncNeg | gaDefaultRefresh },

// 132x50 text mode (8x16 character cell)
    { 1056,  800, 1392, 1112, 1224,  828,  801,  804,   // 1056x800 @ 60 Hz
      69154560, 6000, gaHSyncNeg },
    { 1056,  800, 1408, 1120, 1232,  833,  801,  804,   // 1056x800 @ 70 Hz
      82100479, 7000, gaHSyncNeg | gaDefaultRefresh },

// 132x60 text mode (8x16 character cell)
    { 1056,  960, 1408, 1120, 1232,  994,  961,  964,   // 1056x960 @ 60 Hz
      83973120, 6000, gaHSyncNeg },
    { 1056,  960, 1424, 1128, 1240,  999,  961,  964,   // 1056x960 @ 70 Hz
      99580320, 7000, gaHSyncNeg | gaDefaultRefresh },

// 320x200 double scanned
    {  320,  200,  400,  328,  360,  525,  452,  454,   // 320x200 @ 60 Hz
      12587499, 6000, gaHSyncNeg | gaDoubleScan },
    {  320,  200,  400,  328,  360,  449,  412,  414,   // 320x200 @ 70 Hz
      12587499, 7000, gaHSyncNeg | gaDoubleScan | gaDefaultRefresh },
    {  320,  200,  400,  328,  360,  418,  401,  404,   // 320x200 @ 75 Hz
      12540000, 7500, gaHSyncNeg | gaDoubleScan },
    {  320,  200,  408,  328,  360,  419,  401,  404,   // 320x200 @ 80 Hz
      13676000, 8000, gaHSyncNeg | gaDoubleScan },
    {  320,  200,  408,  328,  360,  421,  401,  404,   // 320x200 @ 85 Hz
      14600279, 8500, gaHSyncNeg | gaDoubleScan },

// 320x200 triple scanned
    {  320,  200,  416,  328,  360,  622,  601,  604,   // 320x200 @ 60 Hz
      15525120, 6000, gaHSyncNeg | gaVSyncNeg | gaTripleScan },
    {  320,  200,  416,  328,  360,  625,  601,  604,   // 320x200 @ 70 Hz
      18200000, 7000, gaHSyncNeg | gaVSyncNeg | gaTripleScan | gaDefaultRefresh },
    {  320,  200,  416,  328,  360,  627,  601,  604,   // 320x200 @ 75 Hz
      19562400, 7500, gaHSyncNeg | gaVSyncNeg | gaTripleScan },
    {  320,  200,  416,  328,  360,  629,  601,  604,   // 320x200 @ 80 Hz
      20933120, 8000, gaHSyncNeg | gaVSyncNeg | gaTripleScan },
    {  320,  200,  416,  328,  360,  630,  601,  604,   // 320x200 @ 85 Hz
      22276799, 8500, gaHSyncNeg | gaVSyncNeg | gaTripleScan },

// 320x400
    {  320,  400,  400,  328,  360,  525,  452,  454,   // 320x200 @ 60 Hz
      12587499, 6000, gaHSyncNeg },
    {  320,  400,  400,  328,  360,  449,  412,  414,   // 320x200 @ 70 Hz
      12587499, 7000, gaHSyncNeg | gaDefaultRefresh },
    {  320,  400,  400,  328,  360,  418,  401,  404,   // 320x200 @ 75 Hz
      12540000, 7500, gaHSyncNeg },
    {  320,  400,  408,  328,  360,  419,  401,  404,   // 320x200 @ 80 Hz
      13676000, 8000, gaHSyncNeg },
    {  320,  400,  408,  328,  360,  421,  401,  404,   // 320x200 @ 85 Hz
      14600279, 8500, gaHSyncNeg },

// 320x240 double scanned
    {  320,  240,  400,  328,  360,  525,  490,  492,   // 320x240 @ 60 Hz
      12587499, 6000, gaHSyncNeg | gaVSyncNeg | gaDoubleScan | gaDefaultRefresh },
    {  320,  240,  400,  328,  360,  525,  490,  492,   // 320x240 @ 70 Hz
      14700000, 7000, gaHSyncNeg | gaVSyncNeg | gaDoubleScan },
    {  320,  240,  416,  336,  360,  499,  481,  484,   // 320x240 @ 75 Hz
      16050000, 7500, gaHSyncNeg | gaVSyncNeg | gaDoubleScan },
    {  320,  240,  416,  336,  360,  509,  481,  484,   // 320x240 @ 80 Hz
      16940000, 8000, gaHSyncNeg | gaVSyncNeg | gaDoubleScan },
    {  320,  240,  416,  344,  368,  509,  481,  484,   // 320x240 @ 85 Hz
      18000000, 8500, gaHSyncNeg | gaVSyncNeg | gaDoubleScan },

// 320x240 triple scanned
    {  320,  240,  416,  328,  360,  746,  721,  724,   // 320x240 @ 60 Hz
      18620160, 6000, gaHSyncNeg | gaVSyncNeg | gaTripleScan | gaDefaultRefresh },
    {  320,  240,  416,  328,  360,  750,  721,  724,   // 320x240 @ 70 Hz
      21839999, 7000, gaHSyncNeg | gaVSyncNeg | gaTripleScan },
    {  320,  240,  432,  336,  368,  752,  721,  724,   // 320x240 @ 75 Hz
      24364800, 7500, gaHSyncNeg | gaVSyncNeg | gaTripleScan },
    {  320,  240,  432,  336,  368,  754,  721,  724,   // 320x240 @ 80 Hz
      26058240, 8000, gaHSyncNeg | gaVSyncNeg | gaTripleScan },
    {  320,  240,  432,  336,  368,  756,  721,  724,   // 320x240 @ 85 Hz
      27760320, 8500, gaHSyncNeg | gaVSyncNeg | gaTripleScan },

// 320x480
    {  320,  480,  400,  328,  360,  525,  490,  492,   // 320x240 @ 60 Hz
      12587499, 6000, gaHSyncNeg | gaVSyncNeg | gaDefaultRefresh },
    {  320,  480,  400,  328,  360,  525,  490,  492,   // 320x240 @ 70 Hz
      14700000, 7000, gaHSyncNeg | gaVSyncNeg },
    {  320,  480,  416,  336,  360,  499,  481,  484,   // 320x240 @ 75 Hz
      16050000, 7500, gaHSyncNeg | gaVSyncNeg },
    {  320,  480,  416,  336,  360,  509,  481,  484,   // 320x240 @ 80 Hz
      16940000, 8000, gaHSyncNeg | gaVSyncNeg },
    {  320,  480,  416,  344,  368,  509,  481,  484,   // 320x240 @ 85 Hz
      18000000, 8500, gaHSyncNeg | gaVSyncNeg },

// 400x300
    {  400,  300,  528,  416,  456,  631,  601,  603,   // 400x300 @ 60 Hz
      20000000, 6000, gaHSyncNeg | gaDoubleScan },
    {  400,  300,  528,  416,  456,  625,  601,  604,   // 400x300 @ 70 Hz
      23099999, 7000, gaHSyncNeg | gaDoubleScan | gaDefaultRefresh },
    {  400,  300,  528,  416,  456,  627,  601,  604,   // 400x300 @ 75 Hz
      24829200, 7500, gaHSyncNeg | gaDoubleScan },
    {  400,  300,  528,  416,  456,  629,  601,  604,   // 400x300 @ 80 Hz
      26568960, 8000, gaHSyncNeg | gaDoubleScan },
    {  400,  300,  528,  416,  456,  631,  601,  604,   // 400x300 @ 85 Hz
      28125000, 8500, gaHSyncNeg | gaDoubleScan },

// 400x600
    {  400,  600,  528,  416,  456,  631,  601,  603,   // 400x600 @ 60 Hz
      20000000, 6000, gaHSyncNeg },
    {  400,  600,  528,  416,  456,  625,  601,  604,   // 400x600 @ 70 Hz
      23099999, 7000, gaHSyncNeg | gaDefaultRefresh },
    {  400,  600,  528,  416,  456,  627,  601,  604,   // 400x600 @ 75 Hz
      24829200, 7500, gaHSyncNeg },
    {  400,  600,  528,  416,  456,  629,  601,  604,   // 400x600 @ 80 Hz
      26568960, 8000, gaHSyncNeg },
    {  400,  600,  528,  416,  456,  631,  601,  604,   // 400x600 @ 85 Hz
      28125000, 8500, gaHSyncNeg },

// 512x384
    {  512,  384,  648,  520,  544,  525,  445,  447,   // 512x384 @ 60 Hz
      20389999, 6000, gaHSyncNeg },
    {  512,  384,  648,  520,  544,  449,  404,  406,   // 512x384 @ 70 Hz
      20389999, 7000, gaHSyncNeg | gaDefaultRefresh },
    {  512,  384,  640,  520,  568,  402,  385,  388,   // 512x384 @ 75 Hz
      19296000, 7500, gaHSyncNeg },
    {  512,  384,  640,  520,  576,  403,  385,  388,   // 512x384 @ 80 Hz
      20633600, 8000, gaHSyncNeg },
    {  512,  384,  656,  520,  568,  404,  385,  388,   // 512x384 @ 85 Hz
      22527040, 8500, gaHSyncNeg },

// 512x384 double scanned
    {  512,  384,  672,  528,  592,  795,  769,  772,   // 512x384 @ 60 Hz
      32054400, 6000, gaHSyncNeg | gaDoubleScan },
    {  512,  384,  672,  528,  592,  800,  769,  772,   // 512x384 @ 70 Hz
      37631999, 7000, gaHSyncNeg | gaDoubleScan | gaDefaultRefresh },
    {  512,  384,  688,  544,  600,  802,  769,  772,   // 512x384 @ 75 Hz
      41383199, 7500, gaHSyncNeg | gaDoubleScan },
    {  512,  384,  688,  544,  600,  804,  769,  772,   // 512x384 @ 80 Hz
      44252160, 8000, gaHSyncNeg | gaDoubleScan },
    {  512,  384,  688,  544,  600,  807,  769,  772,   // 512x384 @ 85 Hz
      47193360, 8500, gaHSyncNeg | gaDoubleScan },

// 512x480
    {  512,  480,  648,  520,  544,  525,  490,  492,   // 512x480 @ 60 Hz
      20412162, 6000, gaHSyncNeg },
    {  512,  480,  648,  520,  544,  525,  490,  492,   // 512x480 @ 70 Hz
      23814189, 7000, gaHSyncNeg | gaDefaultRefresh },
    {  512,  480,  656,  528,  584,  502,  481,  484,   // 512x480 @ 75 Hz
      24698400, 7500, gaHSyncNeg },
    {  512,  480,  656,  528,  584,  503,  481,  484,   // 512x480 @ 80 Hz
      26397440, 8000, gaHSyncNeg },
    {  512,  480,  672,  536,  592,  505,  481,  484,   // 512x480 @ 85 Hz
      28845600, 8500, gaHSyncNeg },

// 640x350
    {  640,  350,  800,  648,  744,  525,  432,  434,   // 640x350 @ 60 Hz
      25175000, 6000, gaVSyncNeg },
    {  640,  350,  800,  648,  744,  449,  387,  389,   // 640x350 @ 70 Hz
      25175000, 7000, gaVSyncNeg | gaDefaultRefresh },
    {  640,  350,  800,  648,  744,  418,  378,  381,   // 640x350 @ 75 Hz
      25080000, 7500, gaHSyncNeg },
    {  640,  350,  816,  656,  720,  419,  378,  381,   // 640x350 @ 80 Hz
      27352320, 8000, gaHSyncNeg },
    {  640,  350,  816,  656,  720,  421,  378,  381,   // 640x350 @ 85 Hz
      29200559, 8500, gaHSyncNeg },

// 640x400
    {  640,  400,  800,  648,  744,  525,  452,  454,   // 640x400 @ 60 Hz
      25175000, 6000, gaHSyncNeg },
    {  640,  400,  800,  648,  744,  449,  412,  414,   // 640x400 @ 70 Hz
      25175000, 7000, gaHSyncNeg | gaDefaultRefresh },
    {  640,  400,  800,  648,  744,  418,  401,  404,   // 640x400 @ 75 Hz
      25080000, 7500, gaHSyncNeg },
    {  640,  400,  816,  656,  720,  419,  401,  404,   // 640x400 @ 80 Hz
      27352320, 8000, gaHSyncNeg },
    {  640,  400,  816,  656,  720,  421,  401,  404,   // 640x400 @ 85 Hz
      29200559, 8500, gaHSyncNeg },

// 640x480
    {  640,  480,  800,  648,  744,  263,  245,  247,   // 640x480 @ 120 Hz I
      25175000, 12000, gaHSyncNeg | gaInterlaced },
    {  640,  480,  800,  648,  744,  525,  490,  492,   // 640x480 @ 60 Hz
      25175000, 6000, gaHSyncNeg | gaVSyncNeg | gaDefaultRefresh },
    {  640,  480,  800,  648,  744,  525,  490,  492,   // 640x480 @ 65 Hz
      27270000, 6500, gaHSyncNeg },
    {  640,  480,  800,  648,  744,  525,  490,  492,   // 640x480 @ 70 Hz
      29400000, 7000, gaHSyncNeg },
    {  640,  480,  832,  664,  720,  499,  481,  484,   // 640x480 @ 75 Hz
      31200000, 7500, gaHSyncNeg },
    {  640,  480,  832,  664,  712,  509,  481,  484,   // 640x480 @ 80 Hz
      33880000, 8000, gaHSyncNeg },
    {  640,  480,  832,  664,  712,  509,  481,  484,   // 640x480 @ 85 Hz
      36000000, 8500, 0 },
    {  640,  480,  832,  664,  712,  509,  481,  484,   // 640x480 @ 90 Hz
      38120000, 9000, gaHSyncNeg },
    {  640,  480,  832,  664,  712,  509,  481,  484,   // 640x480 @ 95 Hz
      40240000, 9500, gaHSyncNeg },
    {  640,  480,  832,  664,  712,  509,  481,  484,   // 640x480 @ 100 Hz
      42350000, 10000, gaHSyncNeg },

// 720x540
    {  720,  540,  952,  752,  832,  285,  270,  272,   // 720x540 @ 97 Hz I
      26364212, 9700, gaHSyncNeg | gaInterlaced },
    {  720,  540,  968,  760,  840,  289,  270,  272,   // 720x540 @ 120 Hz I
      33628320, 12000, gaHSyncNeg | gaInterlaced },
    {  720,  540,  912,  744,  816,  571,  542,  545,   // 720x540 @ 60 Hz
      31190000, 6000, gaHSyncNeg | gaDefaultRefresh },
    {  720,  540,  928,  752,  824,  571,  542,  545,   // 720x540 @ 65 Hz
      34430000, 6500, gaHSyncNeg },
    {  720,  540,  928,  752,  824,  571,  542,  545,   // 720x540 @ 70 Hz
      37080000, 7000, gaHSyncNeg },
    {  720,  540,  928,  752,  824,  571,  542,  545,   // 720x540 @ 75 Hz
      39730000, 7500, gaHSyncNeg },
    {  720,  540,  944,  760,  832,  571,  542,  545,   // 720x540 @ 80 Hz
      43110000, 8000, gaHSyncNeg },
    {  720,  540,  944,  760,  832,  571,  542,  545,   // 720x540 @ 85 Hz
      45810000, 8500, gaHSyncNeg },
    {  720,  540,  944,  760,  832,  571,  542,  545,   // 720x540 @ 90 Hz
      48500000, 9000, gaHSyncNeg },
    {  720,  540,  960,  760,  840,  571,  542,  545,   // 720x540 @ 95 Hz
      52070000, 9500, gaHSyncNeg },
    {  720,  540,  960,  760,  840,  571,  542,  545,   // 720x540 @ 100 Hz
      54910000, 10000, gaHSyncNeg },

// 800x600
    {  800,  600, 1072,  848,  936,  317,  300,  302,   // 800x600 @ 97 Hz I
      33014919, 9700, gaHSyncNeg | gaInterlaced },
    {  800,  600, 1080,  848,  936,  321,  300,  302,   // 800x600 @ 120 Hz I
      41666400, 12000, gaHSyncNeg | gaInterlaced },
    {  800,  600, 1024,  832,  912,  620,  601,  604,   // 800x600 @ 56 Hz
      35553280, 5600, gaHSyncNeg },
    {  800,  600, 1056,  832,  960,  628,  601,  605,   // 800x600 @ 60 Hz
      40000000, 6000, gaDefaultRefresh },
    {  800,  600, 1040,  840,  920,  623,  601,  604,   // 800x600 @ 65 Hz
      42114799, 6500, gaHSyncNeg },
    {  800,  600, 1040,  840,  920,  625,  601,  604,   // 800x600 @ 70 Hz
      45500000, 7000, gaHSyncNeg },
    {  800,  600, 1040,  840,  920,  627,  601,  604,   // 800x600 @ 75 Hz
      48906000, 7500, gaHSyncNeg },
    {  800,  600, 1056,  840,  928,  629,  601,  604,   // 800x600 @ 80 Hz
      53137920, 8000, gaHSyncNeg },
    {  800,  600, 1048,  824,  952,  631,  601,  604,   // 800x600 @ 85 Hz
      56250000, 8500, 0},
    {  800,  600, 1056,  840,  928,  632,  601,  604,   // 800x600 @ 90 Hz
      60065280, 9000, gaHSyncNeg },
    {  800,  600, 1072,  848,  936,  634,  601,  604,   // 800x600 @ 95 Hz
      64566560, 9500, gaHSyncNeg },
    {  800,  600, 1072,  848,  936,  636,  601,  604,   // 800x600 @ 100 Hz
      68179200, 10000, gaHSyncNeg },

// 960x720
    {  960,  720, 1288, 1016, 1120,  378,  360,  362,   // 960x720 @ 87 Hz I
      42413196, 8700, gaHSyncNeg | gaInterlaced },
    {  960,  720, 1296, 1024, 1128,  381,  360,  362,   // 960x720 @ 97 Hz I
      47896271, 9700, gaHSyncNeg | gaInterlaced },
    {  960,  720, 1312, 1032, 1136,  386,  360,  362,   // 960x720 @ 120 Hz I
      60771839, 12000, gaHSyncNeg | gaInterlaced },
    {  960,  720, 1248, 1008, 1104,  746,  721,  724,   // 960x720 @ 60 Hz
      55860000, 6000, gaHSyncNeg | gaDefaultRefresh },
    {  960,  720, 1264, 1008, 1112,  748,  721,  724,   // 960x720 @ 65 Hz
      61450000, 6500, gaHSyncNeg },
    {  960,  720, 1264, 1008, 1112,  750,  721,  724,   // 960x720 @ 70 Hz
      66350000, 7000, gaHSyncNeg },
    {  960,  720, 1280, 1016, 1120,  752,  721,  724,   // 960x720 @ 75 Hz
      72190000, 7500, gaHSyncNeg },
    {  960,  720, 1280, 1016, 1120,  754,  721,  724,   // 960x720 @ 80 Hz
      77200000, 8000, gaHSyncNeg },
    {  960,  720, 1280, 1016, 1120,  756,  721,  724,   // 960x720 @ 85 Hz
      82250000, 8500, gaHSyncNeg },
    {  960,  720, 1296, 1024, 1128,  759,  721,  724,   // 960x720 @ 90 Hz
      88520000, 9000, gaHSyncNeg },
    {  960,  720, 1296, 1024, 1128,  761,  721,  724,   // 960x720 @ 95 Hz
      93690000, 9500, gaHSyncNeg },
    {  960,  720, 1296, 1024, 1128,  763,  721,  724,   // 960x720 @ 100 Hz
      98880000, 10000, gaHSyncNeg },

// 1024x768
    { 1024,  768, 1376, 1088, 1200,  404,  384,  386,   // 1024x768 @ 87 Hz I
      48363648, 8700, gaHSyncNeg | gaInterlaced },
    { 1024,  768, 1384, 1088, 1200,  406,  384,  386,   // 1024x768 @ 97 Hz I
      54504687, 9700, gaHSyncNeg | gaInterlaced },
    { 1024,  768, 1400, 1096, 1208,  411,  384,  386,   // 1024x768 @ 120 Hz I
      69132000, 12000, gaHSyncNeg | gaInterlaced },
    { 1024,  768, 1344, 1056, 1192,  806,  771,  777,   // 1024x768 @ 60 Hz
      65000000, 6000, gaDefaultRefresh },
    { 1024,  768, 1344, 1080, 1184,  798,  769,  772,   // 1024x768 @ 65 Hz
      69713280, 6500, gaHSyncNeg },
    { 1024,  768, 1360, 1080, 1192,  800,  769,  772,   // 1024x768 @ 70 Hz
      76159999, 7000, gaHSyncNeg },
    { 1024,  768, 1360, 1080, 1192,  802,  769,  772,   // 1024x768 @ 75 Hz
      81804000, 7500, gaHSyncNeg },
    { 1024,  768, 1376, 1088, 1200,  804,  769,  772,   // 1024x768 @ 80 Hz
      88504320, 8000, gaHSyncNeg },
    { 1024,  768, 1376, 1064, 1160,  808,  769,  772,   // 1024x768 @ 85 Hz
      94500000, 8500, 0 },
    { 1024,  768, 1376, 1088, 1200,  809,  769,  772,   // 1024x768 @ 90 Hz
      100186560, 9000, gaHSyncNeg },
    { 1024,  768, 1392, 1096, 1208,  811,  769,  772,   // 1024x768 @ 95 Hz
      107246640, 9500, gaHSyncNeg },
    { 1024,  768, 1392, 1096, 1208,  814,  769,  772,   // 1024x768 @ 100 Hz
      113308799, 10000, gaHSyncNeg },

// 1152x864
    { 1152,  864, 1560, 1224, 1352,  454,  432,  434,   // 1152x864 @ 87 Hz I
      61616880, 8700, gaHSyncNeg | gaInterlaced },
    { 1152,  864, 1568, 1232, 1360,  457,  432,  434,   // 1152x864 @ 97 Hz I
      69507872, 9700, gaHSyncNeg | gaInterlaced },
    { 1152,  864, 1584, 1240, 1368,  463,  432,  434,   // 1152x864 @ 120 Hz I
      88007040, 12000, gaHSyncNeg | gaInterlaced },
    { 1152,  864, 1520, 1216, 1336,  895,  865,  868,   // 1152x864 @ 60 Hz
      81620000, 6000, gaHSyncNeg | gaDefaultRefresh },
    { 1152,  864, 1536, 1224, 1344,  897,  865,  868,   // 1152x864 @ 65 Hz
      89556479, 6500, gaHSyncNeg },
    { 1152,  864, 1536, 1224, 1344,  900,  865,  868,   // 1152x864 @ 70 Hz
      96768000, 7000, gaHSyncNeg },
    { 1152,  864, 1552, 1224, 1352,  902,  865,  868,   // 1152x864 @ 75 Hz
      104992800, 7500, gaHSyncNeg },
    { 1152,  864, 1552, 1224, 1352,  905,  865,  868,   // 1152x864 @ 80 Hz
      112364799, 8000, gaHSyncNeg },
    { 1152,  864, 1552, 1224, 1352,  907,  865,  868,   // 1152x864 @ 85 Hz
      119651440, 8500, gaHSyncNeg },
    { 1152,  864, 1568, 1232, 1360,  910,  865,  868,   // 1152x864 @ 90 Hz
      128419200, 9000, gaHSyncNeg },
    { 1152,  864, 1568, 1232, 1360,  913,  865,  868,   // 1152x864 @ 95 Hz
      136000479, 9500, gaHSyncNeg },
    { 1152,  864, 1568, 1232, 1360,  915,  865,  868,   // 1152x864 @ 100 Hz
      143472000, 10000, gaHSyncNeg },

// 1280x960
    { 1280,  960, 1744, 1376, 1512,  504,  480,  482,   // 1280x960 @ 87 Hz I
      76546776, 8700, gaHSyncNeg | gaInterlaced },
    { 1280,  960, 1752, 1368, 1512,  507,  480,  482,   // 1280x960 @ 97 Hz I
      86246580, 9700, gaHSyncNeg | gaInterlaced },
    { 1280,  960, 1768, 1376, 1520,  514,  480,  482,   // 1280x960 @ 120 Hz I
      109156320, 12000, gaHSyncNeg | gaInterlaced },
    { 1280,  960, 1712, 1360, 1496,  994,  961,  964,   // 1280x960 @ 60 Hz
      102103680, 6000, gaHSyncNeg | gaDefaultRefresh },
    { 1280,  960, 1712, 1360, 1496,  997,  961,  964,   // 1280x960 @ 65 Hz
      110946160, 6500, gaHSyncNeg },
    { 1280,  960, 1728, 1368, 1504,  999,  961,  964,   // 1280x960 @ 70 Hz
      120839040, 7000, gaHSyncNeg },
    { 1280,  960, 1728, 1368, 1504, 1002,  961,  964,   // 1280x960 @ 75 Hz
      129859199, 7500, gaHSyncNeg },
    { 1280,  960, 1744, 1376, 1512, 1005,  961,  964,   // 1280x960 @ 80 Hz
      140217600, 8000, gaHSyncNeg },
    { 1280,  960, 1744, 1376, 1512, 1008,  961,  964,   // 1280x960 @ 85 Hz
      149425920, 8500, gaHSyncNeg },
    { 1280,  960, 1744, 1376, 1512, 1011,  961,  964,   // 1280x960 @ 90 Hz
      158686560, 9000, gaHSyncNeg },
    { 1280,  960, 1744, 1376, 1512, 1014,  961,  964,   // 1280x960 @ 95 Hz
      167999520, 9500, gaHSyncNeg },
    { 1280,  960, 1760, 1376, 1520, 1017,  961,  964,   // 1280x960 @ 100 Hz
      178992000, 10000, gaHSyncNeg },

// 1280x1024
    { 1280, 1024, 1752, 1368, 1512,  538,  512,  514,   // 1280x1024 @ 87 Hz I
      82080324, 8700, gaHSyncNeg | gaInterlaced },
    { 1280, 1024, 1760, 1376, 1520,  541,  512,  514,   // 1280x1024 @ 97 Hz I
      92444880, 9700, gaHSyncNeg | gaInterlaced },
    { 1280, 1024, 1768, 1376, 1520,  548,  512,  514,   // 1280x1024 @ 120 Hz I
      116369760, 12000, gaHSyncNeg | gaInterlaced },
    { 1280, 1024, 1688, 1336, 1448, 1066, 1025, 1030,   // 1280x1024 @ 60 Hz
      108000000, 6000, gaDefaultRefresh },
    { 1280, 1024, 1728, 1368, 1504, 1063, 1025, 1028,   // 1280x1024 @ 65 Hz
      119396160, 6500, gaHSyncNeg },
    { 1280, 1024, 1728, 1368, 1504, 1066, 1025, 1028,   // 1280x1024 @ 70 Hz
      128943359, 7000, gaHSyncNeg },
    { 1280, 1024, 1682, 1336, 1448, 1065, 1025, 1030,   // 1280x1024 @ 72 Hz
      128000000, 7200, gaHSyncNeg },
    { 1280, 1024, 1688, 1344, 1480, 1066, 1025, 1028,   // 1280x1024 @ 75 Hz
      135000000, 7500, gaHSyncNeg },
    { 1280, 1024, 1744, 1376, 1512, 1072, 1025, 1028,   // 1280x1024 @ 80 Hz
      149565440, 8000, gaHSyncNeg },
    { 1280, 1024, 1728, 1352, 1512, 1072, 1025, 1028,   // 1280x1024 @ 85 Hz
      157500000, 8500, 0 },
    { 1280, 1024, 1744, 1376, 1512, 1078, 1025, 1028,   // 1280x1024 @ 90 Hz
      169202880, 9000, gaHSyncNeg },
    { 1280, 1024, 1760, 1376, 1520, 1082, 1025, 1028,   // 1280x1024 @ 95 Hz
      180910400, 9500, gaHSyncNeg },
    { 1280, 1024, 1760, 1376, 1520, 1085, 1025, 1028,   // 1280x1024 @ 100 Hz
      190960000, 10000, gaHSyncNeg },

// 1400x1050
    { 1400, 1050, 1912, 1504, 1656,  552,  525,  527,   // 1400x1050 @ 87 Hz I
      91821888, 8700, gaHSyncNeg | gaInterlaced },
    { 1400, 1050, 1920, 1504, 1656,  555,  525,  527,   // 1400x1050 @ 97 Hz I
      103363199, 9700, gaHSyncNeg | gaInterlaced },
    { 1400, 1050, 1936, 1512, 1664,  562,  525,  527,   // 1400x1050 @ 120 Hz I
      130680000, 12000, gaHSyncNeg | gaInterlaced },
    { 1400, 1050, 1880, 1488, 1640, 1087, 1051, 1054,   // 1400x1050 @ 60 Hz
      122613600, 6000, gaHSyncNeg | gaDefaultRefresh },
    { 1400, 1050, 1888, 1488, 1640, 1090, 1051, 1054,   // 1400x1050 @ 65 Hz
      133764800, 6500, gaHSyncNeg },
    { 1400, 1050, 1896, 1496, 1648, 1093, 1051, 1054,   // 1400x1050 @ 70 Hz
      145062960, 7000, gaHSyncNeg },
    { 1400, 1050, 1904, 1496, 1648, 1096, 1051, 1054,   // 1400x1050 @ 75 Hz
      156508800, 7500, gaHSyncNeg },
    { 1400, 1050, 1904, 1496, 1648, 1099, 1051, 1054,   // 1400x1050 @ 80 Hz
      167399680, 8000, gaHSyncNeg },
    { 1400, 1050, 1912, 1504, 1656, 1103, 1051, 1054,   // 1400x1050 @ 85 Hz
      179259559, 8500, gaHSyncNeg },
    { 1400, 1050, 1920, 1504, 1656, 1106, 1051, 1054,   // 1400x1050 @ 90 Hz
      191116799, 9000, gaHSyncNeg },
    { 1400, 1050, 1920, 1504, 1656, 1109, 1051, 1054,   // 1400x1050 @ 95 Hz
      202281600, 9500, gaHSyncNeg },
    { 1400, 1050, 1928, 1512, 1664, 1112, 1051, 1054,   // 1400x1050 @ 100 Hz
      214393600, 10000, gaHSyncNeg },

// 1600x1200
    { 1600, 1200, 2200, 1720, 1896,  630,  600,  602,   // 1600x1200 @ 87 Hz I
      120677700, 8700, gaHSyncNeg | gaInterlaced },
    { 1600, 1200, 2208, 1728, 1904,  634,  600,  602,   // 1600x1200 @ 97 Hz I
      135894672, 9700, gaHSyncNeg | gaInterlaced },
    { 1600, 1200, 2224, 1736, 1912,  643,  600,  602,   // 1600x1200 @ 120 Hz I
      171603840, 12000, gaHSyncNeg | gaInterlaced },
    { 1600, 1200, 2160, 1696, 1888, 1250, 1201, 1204,   // 1600x1200 @ 60 Hz
      162000000, 6000, gaDefaultRefresh },
    { 1600, 1200, 2176, 1712, 1888, 1246, 1201, 1204,   // 1600x1200 @ 65 Hz
      176234240, 6500, gaHSyncNeg },
    { 1600, 1200, 2176, 1712, 1888, 1249, 1201, 1204,   // 1600x1200 @ 70 Hz
      190247680, 7000, gaHSyncNeg },
    { 1600, 1200, 2192, 1720, 1896, 1253, 1201, 1204,   // 1600x1200 @ 75 Hz
      205993200, 7500, gaHSyncNeg },
    { 1600, 1200, 2192, 1720, 1896, 1256, 1201, 1204,   // 1600x1200 @ 80 Hz
      220252159, 8000, gaHSyncNeg },
    { 1600, 1200, 2192, 1720, 1896, 1260, 1201, 1204,   // 1600x1200 @ 85 Hz
      234763200, 8500, gaHSyncNeg },
    { 1600, 1200, 2208, 1728, 1904, 1264, 1201, 1204,   // 1600x1200 @ 90 Hz
      251182080, 9000, gaHSyncNeg },
    { 1600, 1200, 2208, 1728, 1904, 1267, 1201, 1204,   // 1600x1200 @ 95 Hz
      265765920, 9500, gaHSyncNeg },
    { 1600, 1200, 2208, 1728, 1904, 1271, 1201, 1204,   // 1600x1200 @ 100 Hz
      280636800, 10000, gaHSyncNeg },

// 1600x1280
    { 1600, 1280, 2208, 1728, 1904,  672,  640,  642,   // 1600x1280 @ 87 Hz I
      129184560, 8700, gaHSyncNeg | gaInterlaced },
    { 1600, 1280, 2216, 1728, 1904,  676,  640,  642,   // 1600x1280 @ 97 Hz I
      145415027, 9700, gaHSyncNeg | gaInterlaced },
    { 1600, 1280, 2224, 1736, 1912,  686,  640,  642,   // 1600x1280 @ 120 Hz I
      183079680, 12000, gaHSyncNeg | gaInterlaced },
    { 1600, 1280, 2168, 1704, 1880, 1325, 1281, 1284,   // 1600x1280 @ 60 Hz
      172356000, 6000, gaHSyncNeg | gaDefaultRefresh },
    { 1600, 1280, 2176, 1712, 1888, 1328, 1281, 1284,   // 1600x1280 @ 65 Hz
      187832319, 6500, gaHSyncNeg },
    { 1600, 1280, 2184, 1712, 1888, 1332, 1281, 1284,   // 1600x1280 @ 70 Hz
      203636160, 7000, gaHSyncNeg },
    { 1600, 1280, 2192, 1720, 1896, 1336, 1281, 1284,   // 1600x1280 @ 75 Hz
      219638400, 7500, gaHSyncNeg },
    { 1600, 1280, 2200, 1720, 1896, 1340, 1281, 1284,   // 1600x1280 @ 80 Hz
      235839999, 8000, gaHSyncNeg },
    { 1600, 1280, 2200, 1720, 1896, 1344, 1281, 1284,   // 1600x1280 @ 85 Hz
      251328000, 8500, gaHSyncNeg },
    { 1600, 1280, 2208, 1728, 1904, 1348, 1281, 1284,   // 1600x1280 @ 90 Hz
      267874560, 9000, gaHSyncNeg },
    { 1600, 1280, 2208, 1728, 1904, 1352, 1281, 1284,   // 1600x1280 @ 95 Hz
      283595520, 9500, gaHSyncNeg },
    { 1600, 1280, 2216, 1728, 1904, 1356, 1281, 1284,   // 1600x1280 @ 100 Hz
      300489600, 10000, gaHSyncNeg },

// 1800x1350
    { 1800, 1350, 2488, 1944, 2144,  709,  675,  677,   // 1800x1350 @ 87 Hz I
      153575532, 8700, gaHSyncNeg | gaInterlaced },
    { 1800, 1350, 2496, 1944, 2144,  713,  675,  677,   // 1800x1350 @ 97 Hz I
      172746911, 9700, gaHSyncNeg | gaInterlaced },
    { 1800, 1350, 2512, 1952, 2152,  723,  675,  677,   // 1800x1350 @ 120 Hz I
      217941120, 12000, gaHSyncNeg | gaInterlaced },
    { 1800, 1350, 2440, 1928, 2120, 1397, 1351, 1354,   // 1800x1350 @ 60 Hz
      204520000, 6000, gaHSyncNeg | gaDefaultRefresh },
    { 1800, 1350, 2456, 1928, 2128, 1401, 1351, 1354,   // 1800x1350 @ 65 Hz
      223655639, 6500, gaHSyncNeg },
    { 1800, 1350, 2472, 1936, 2136, 1405, 1351, 1354,   // 1800x1350 @ 70 Hz
      243121200, 7000, gaHSyncNeg },
    { 1800, 1350, 2472, 1936, 2136, 1409, 1351, 1354,   // 1800x1350 @ 75 Hz
      261228599, 7500, gaHSyncNeg },
    { 1800, 1350, 2472, 1936, 2136, 1413, 1351, 1354,   // 1800x1350 @ 80 Hz
      279434879, 8000, gaHSyncNeg },
    { 1800, 1350, 2488, 1944, 2144, 1417, 1351, 1354,   // 1800x1350 @ 85 Hz
      299667159, 8500, gaHSyncNeg },

// 1920x1440
    { 1920, 1440, 2656, 2072, 2288,  756,  720,  722,   // 1920x1440 @ 87 Hz I
      174805967, 8700, gaHSyncNeg | gaInterlaced },
    { 1920, 1440, 2664, 2072, 2288,  761,  720,  722,   // 1920x1440 @ 97 Hz I
      196648488, 9700, gaHSyncNeg | gaInterlaced },
    { 1920, 1440, 2680, 2080, 2296,  771,  720,  722,   // 1920x1440 @ 120 Hz I
      248114400, 12000, gaHSyncNeg | gaInterlaced },
    { 1920, 1440, 2600, 2040, 2248, 1500, 1441, 1444,   // 1920x1440 @ 60 Hz
      234000000, 6000, gaHSyncNeg | gaDefaultRefresh },
    { 1920, 1440, 2624, 2064, 2272, 1494, 1441, 1444,   // 1920x1440 @ 65 Hz
      254816639, 6500, gaHSyncNeg },
    { 1920, 1440, 2640, 2072, 2280, 1499, 1441, 1444,   // 1920x1440 @ 70 Hz
      277015200, 7000, gaHSyncNeg },
    { 1920, 1440, 2640, 2056, 2264, 1500, 1441, 1444,   // 1920x1440 @ 75 Hz
      297000000, 7500, gaHSyncNeg },
    { 1920, 1440, 2656, 2072, 2288, 1507, 1441, 1444,   // 1920x1440 @ 80 Hz
      320207360, 8000, gaHSyncNeg },
    { 1920, 1440, 2656, 2072, 2288, 1512, 1441, 1444,   // 1920x1440 @ 85 Hz
      341349120, 8500, gaHSyncNeg },

// 2048x1536
    { 2048, 1536, 2840, 2216, 2440,  807,  768,  770,   // 2048x1536 @ 87 Hz I
      199393560, 8700, gaHSyncNeg | gaInterlaced },
    { 2048, 1536, 2848, 2224, 2448,  812,  768,  770,   // 2048x1536 @ 97 Hz I
      224319871, 9700, gaHSyncNeg | gaInterlaced },
    { 2048, 1536, 2864, 2224, 2456,  823,  768,  770,   // 2048x1536 @ 120 Hz I
      282848639, 12000, gaHSyncNeg | gaInterlaced },
    { 2048, 1536, 2800, 2200, 2424, 1589, 1537, 1540,   // 2048x1536 @ 60 Hz
      266950000, 6000, gaHSyncNeg | gaDefaultRefresh },
    { 2048, 1536, 2816, 2208, 2432, 1594, 1537, 1540,   // 2048x1536 @ 65 Hz
      291765759, 6500, gaHSyncNeg },
    { 2048, 1536, 2816, 2208, 2432, 1599, 1537, 1540,   // 2048x1536 @ 70 Hz
      315194879, 7000, gaHSyncNeg },
    { 2048, 1536, 2832, 2216, 2440, 1603, 1537, 1540,   // 2048x1536 @ 75 Hz
      340477199, 7500, gaHSyncNeg },

// 848x480
    {  848,  480, 1136,  904,  992,  257,  240,  242,   // 848x480 @ 120 Hz I
      35102399, 12000, gaHSyncNeg | gaInterlaced },
    {  848,  480, 1072,  872,  960,  509,  481,  484,   // 848x480 @ 65 Hz
      35600000, 6500, gaHSyncNeg },
    {  848,  480, 1072,  872,  960,  509,  481,  484,   // 848x480 @ 70 Hz
      38180000, 7000, gaHSyncNeg | gaDefaultRefresh  },
    {  848,  480, 1088,  880,  968,  509,  481,  484,   // 848x480 @ 75 Hz
      41530000, 7500, gaHSyncNeg },
    {  848,  480, 1088,  880,  968,  509,  481,  484,   // 848x480 @ 80 Hz
      44300000, 8000, gaHSyncNeg },
    {  848,  480, 1104,  888,  976,  509,  481,  484,   // 848x480 @ 85 Hz
      47750000, 8500, gaHSyncNeg },
    {  848,  480, 1104,  888,  976,  509,  481,  484,   // 848x480 @ 90 Hz
      50560000, 9000, gaHSyncNeg },
    {  848,  480, 1120,  896,  984,  509,  481,  484,   // 848x480 @ 95 Hz
      54150000, 9500, gaHSyncNeg },
    {  848,  480, 1120,  896,  984,  509,  481,  484,   // 848x480 @ 100 Hz
      57000000, 10000, gaHSyncNeg },

// 1072x600
    { 1072,  600, 1432, 1136, 1248,  317,  300,  302,   // 1072x600 @ 97 Hz I
      44102019, 9700, gaHSyncNeg | gaInterlaced },
    { 1072,  600, 1448, 1144, 1256,  321,  300,  302,   // 1072x600 @ 120 Hz I
      55863840, 12000, gaHSyncNeg | gaInterlaced },
    { 1072,  600, 1376, 1112, 1224,  622,  601,  604,   // 1072x600 @ 60 Hz
      51350000, 6000, gaHSyncNeg | gaDefaultRefresh },
    { 1072,  600, 1392, 1120, 1232,  623,  601,  604,   // 1072x600 @ 65 Hz
      56360000, 6500, gaHSyncNeg },
    { 1072,  600, 1392, 1120, 1232,  625,  601,  604,   // 1072x600 @ 70 Hz
      60900000, 7000, gaHSyncNeg },
    { 1072,  600, 1408, 1128, 1240,  627,  601,  604,   // 1072x600 @ 75 Hz
      66210000, 7500, gaHSyncNeg },
    { 1072,  600, 1408, 1128, 1240,  629,  601,  604,   // 1072x600 @ 80 Hz
      70850000, 8000, gaHSyncNeg },
    { 1072,  600, 1424, 1136, 1248,  630,  601,  604,   // 1072x600 @ 85 Hz
      76250000, 8500, gaHSyncNeg },
    { 1072,  600, 1424, 1136, 1248,  632,  601,  604,   // 1072x600 @ 90 Hz
      80990000, 9000, gaHSyncNeg },
    { 1072,  600, 1424, 1136, 1248,  634,  601,  604,   // 1072x600 @ 95 Hz
      85760000, 9500, gaHSyncNeg },
    { 1072,  600, 1440, 1144, 1256,  636,  601,  604,   // 1072x600 @ 100 Hz
      91580000, 10000, gaHSyncNeg },

// 1280x720
    { 1280,  720, 1720, 1360, 1496,  378,  360,  362,   // 1280x720 @ 87 Hz I
      56638740, 8700, gaHSyncNeg | gaInterlaced },
    { 1280,  720, 1728, 1368, 1504,  381,  360,  362,   // 1280x720 @ 97 Hz I
      63861695, 9700, gaHSyncNeg | gaInterlaced },
    { 1280,  720, 1744, 1376, 1512,  386,  360,  362,   // 1280x720 @ 120 Hz I
      80782079, 12000, gaHSyncNeg | gaInterlaced },
    { 1280,  720, 1664, 1336, 1472,  746,  721,  724,   // 1280x720 @ 60 Hz
      74480000, 6000, gaHSyncNeg | gaDefaultRefresh },
    { 1280,  720, 1680, 1344, 1480,  748,  721,  724,   // 1280x720 @ 65 Hz
      81680000, 6500, gaHSyncNeg },
    { 1280,  720, 1696, 1352, 1488,  750,  721,  724,   // 1280x720 @ 70 Hz
      89030000, 7000, gaHSyncNeg },
    { 1280,  720, 1696, 1352, 1488,  752,  721,  724,   // 1280x720 @ 75 Hz
      95650000, 7500, gaHSyncNeg },
    { 1280,  720, 1712, 1360, 1496,  754,  721,  724,   // 1280x720 @ 80 Hz
      103260000, 8000, gaHSyncNeg },
    { 1280,  720, 1712, 1360, 1496,  756,  721,  724,   // 1280x720 @ 85 Hz
      110010000, 8500, gaHSyncNeg },
    { 1280,  720, 1728, 1368, 1504,  759,  721,  724,   // 1280x720 @ 90 Hz
      118030000, 9000, gaHSyncNeg },
    { 1280,  720, 1728, 1368, 1504,  761,  721,  724,   // 1280x720 @ 95 Hz
      124920000, 9500, gaHSyncNeg },
    { 1280,  720, 1728, 1368, 1504,  763,  721,  724,   // 1280x720 @ 100 Hz
      131840000, 10000, gaHSyncNeg },

// 1360x768
    { 1360,  768, 1832, 1448, 1592,  404,  384,  386,   // 1360x768 @ 87 Hz I
      64391136, 8700, gaHSyncNeg | gaInterlaced },
    { 1360,  768, 1840, 1456, 1600,  406,  384,  386,   // 1360x768 @ 97 Hz I
      72462879, 9700, gaHSyncNeg | gaInterlaced },
    { 1360,  768, 1864, 1456, 1608,  411,  384,  386,   // 1360x768 @ 120 Hz I
      92044320, 12000, gaHSyncNeg | gaInterlaced },
    { 1360,  768, 1776, 1424, 1568,  795,  769,  772,   // 1360x768 @ 60 Hz
      84710000, 6000, gaHSyncNeg | gaDefaultRefresh },
    { 1360,  768, 1792, 1432, 1576,  798,  769,  772,   // 1360x768 @ 65 Hz
      92950000, 6500, gaHSyncNeg },
    { 1360,  768, 1800, 1440, 1584,  800,  769,  772,   // 1360x768 @ 70 Hz
      101240000, 7000, gaHSyncNeg },
    { 1360,  768, 1800, 1440, 1584,  802,  769,  772,   // 1360x768 @ 75 Hz
      108750000, 7500, gaHSyncNeg },
    { 1360,  768, 1824, 1448, 1592,  804,  769,  772,   // 1360x768 @ 80 Hz
      117310000, 8000, gaHSyncNeg },
    { 1360,  768, 1824, 1448, 1592,  807,  769,  772,   // 1360x768 @ 85 Hz
      125110000, 8500, gaHSyncNeg },
    { 1360,  768, 1840, 1456, 1600,  809,  769,  772,   // 1360x768 @ 90 Hz
      133970000, 9000, gaHSyncNeg },
    { 1360,  768, 1840, 1456, 1600,  811,  769,  772,   // 1360x768 @ 95 Hz
      141760000, 9500, gaHSyncNeg },
    { 1360,  768, 1840, 1456, 1600,  814,  769,  772,   // 1360x768 @ 100 Hz
      149770000, 10000, gaHSyncNeg },

// 1600x900
    { 1600,  900, 2176, 1712, 1888,  473,  450,  452,   // 1600x900 @ 87 Hz I
      89544576, 8700, gaHSyncNeg | gaInterlaced },
    { 1600,  900, 2184, 1712, 1888,  476,  450,  452,   // 1600x900 @ 97 Hz I
      100839648, 9700, gaHSyncNeg | gaInterlaced },
    { 1600,  900, 2208, 1728, 1904,  482,  450,  452,   // 1600x900 @ 120 Hz I
      127843199, 12000, gaHSyncNeg | gaInterlaced },
    { 1600,  900, 2128, 1696, 1864,  932,  901,  904,   // 1600x900 @ 60 Hz
      118990000, 6000, gaHSyncNeg | gaDefaultRefresh },
    { 1600,  900, 2128, 1696, 1864,  934,  901,  904,   // 1600x900 @ 65 Hz
      129190000, 6500, gaHSyncNeg },
    { 1600,  900, 2144, 1704, 1872,  937,  901,  904,   // 1600x900 @ 70 Hz
      140620000, 7000, gaHSyncNeg },
    { 1600,  900, 2160, 1704, 1880,  940,  901,  904,   // 1600x900 @ 75 Hz
      152280000, 7500, gaHSyncNeg },
    { 1600,  900, 2160, 1704, 1880,  942,  901,  904,   // 1600x900 @ 80 Hz
      162770000, 8000, gaHSyncNeg },
    { 1600,  900, 2176, 1712, 1888,  945,  901,  904,   // 1600x900 @ 85 Hz
      174780000, 8500, gaHSyncNeg },
    { 1600,  900, 2176, 1712, 1888,  948,  901,  904,   // 1600x900 @ 90 Hz
      185650000, 9000, gaHSyncNeg },
    { 1600,  900, 2176, 1712, 1888,  951,  901,  904,   // 1600x900 @ 95 Hz
      196590000, 9500, gaHSyncNeg },
    { 1600,  900, 2192, 1720, 1896,  953,  901,  904,   // 1600x900 @ 100 Hz
      208890000, 10000, gaHSyncNeg },

// 1800x1012
    { 1800, 1012, 2456, 1928, 2128,  532,  506,  508,   // 1800x1012 @ 87 Hz I
      113673504, 8700, gaHSyncNeg | gaInterlaced },
    { 1800, 1012, 2472, 1936, 2136,  535,  506,  508,   // 1800x1012 @ 97 Hz I
      128284439, 9700, gaHSyncNeg | gaInterlaced },
    { 1800, 1012, 2488, 1944, 2144,  542,  506,  508,   // 1800x1012 @ 120 Hz I
      161968800, 12000, gaHSyncNeg | gaInterlaced },
    { 1800, 1012, 2408, 1912, 2104, 1048, 1013, 1016,   // 1800x1012 @ 60 Hz
      151410000, 6000, gaHSyncNeg | gaDefaultRefresh },
    { 1800, 1012, 2424, 1920, 2112, 1051, 1013, 1016,   // 1800x1012 @ 65 Hz
      165590000, 6500, gaHSyncNeg },
    { 1800, 1012, 2424, 1920, 2112, 1054, 1013, 1016,   // 1800x1012 @ 70 Hz
      178840000, 7000, gaHSyncNeg },
    { 1800, 1012, 2440, 1928, 2120, 1057, 1013, 1016,   // 1800x1012 @ 75 Hz
      193430000, 7500, gaHSyncNeg },
    { 1800, 1012, 2440, 1928, 2120, 1060, 1013, 1016,   // 1800x1012 @ 80 Hz
      206910000, 8000, gaHSyncNeg },
    { 1800, 1012, 2456, 1928, 2128, 1063, 1013, 1016,   // 1800x1012 @ 85 Hz
      221910000, 8500, gaHSyncNeg },
    { 1800, 1012, 2456, 1928, 2128, 1066, 1013, 1016,   // 1800x1012 @ 90 Hz
      235620000, 9000, gaHSyncNeg },
    { 1800, 1012, 2472, 1936, 2136, 1069, 1013, 1016,   // 1800x1012 @ 95 Hz
      251040000, 9500, gaHSyncNeg },
    { 1800, 1012, 2472, 1936, 2136, 1072, 1013, 1016,   // 1800x1012 @ 100 Hz
      264990000, 10000, gaHSyncNeg },

// 1920x1080
    { 1920, 1080, 2632, 2064, 2272,  567,  540,  542,   // 1920x1080 @ 87 Hz I
      129948419, 8700, gaHSyncNeg | gaInterlaced },
    { 1920, 1080, 2640, 2072, 2280,  571,  540,  542,   // 1920x1080 @ 97 Hz I
      146221680, 9700, gaHSyncNeg | gaInterlaced },
    { 1920, 1080, 2664, 2072, 2288,  578,  540,  542,   // 1920x1080 @ 120 Hz I
      184934880, 12000, gaHSyncNeg | gaInterlaced },
    { 1920, 1080, 2576, 2040, 2248, 1118, 1081, 1084,   // 1920x1080 @ 60 Hz
      172790000, 6000, gaHSyncNeg | gaDefaultRefresh },
    { 1920, 1080, 2592, 2048, 2256, 1121, 1081, 1084,   // 1920x1080 @ 65 Hz
      188860000, 6500, gaHSyncNeg },
    { 1920, 1080, 2608, 2056, 2264, 1124, 1081, 1084,   // 1920x1080 @ 70 Hz
      205190000, 7000, gaHSyncNeg },
    { 1920, 1080, 2608, 2056, 2264, 1128, 1081, 1084,   // 1920x1080 @ 75 Hz
      220630000, 7500, gaHSyncNeg },
    { 1920, 1080, 2624, 2064, 2272, 1131, 1081, 1084,   // 1920x1080 @ 80 Hz
      237410000, 8000, gaHSyncNeg },
    { 1920, 1080, 2624, 2064, 2272, 1134, 1081, 1084,   // 1920x1080 @ 85 Hz
      252920000, 8500, gaHSyncNeg },
    { 1920, 1080, 2640, 2072, 2280, 1137, 1081, 1084,   // 1920x1080 @ 90 Hz
      270150000, 9000, gaHSyncNeg },
    { 1920, 1080, 2640, 2072, 2280, 1141, 1081, 1084,   // 1920x1080 @ 95 Hz
      286160000, 9500, gaHSyncNeg },
    { 1920, 1080, 2640, 2072, 2280, 1144, 1081, 1084,   // 1920x1080 @ 100 Hz
      302015999, 10000, gaHSyncNeg },

// 2048x1152
    { 2048, 1152, 2808, 2200, 2424,  605,  576,  578,   // 2048x1152 @ 87 Hz I
      147921227, 8700, gaHSyncNeg | gaInterlaced },
    { 2048, 1152, 2824, 2208, 2432,  609,  576,  578,   // 2048x1152 @ 97 Hz I
      166822152, 9700, gaHSyncNeg | gaInterlaced },
    { 2048, 1152, 2840, 2216, 2440,  617,  576,  578,   // 2048x1152 @ 120 Hz I
      210273600, 12000, gaHSyncNeg | gaInterlaced },
    { 2048, 1152, 2768, 2184, 2408, 1192, 1153, 1156,   // 2048x1152 @ 60 Hz
      197960000, 6000, gaHSyncNeg | gaDefaultRefresh },
    { 2048, 1152, 2768, 2184, 2408, 1196, 1153, 1156,   // 2048x1152 @ 65 Hz
      215180000, 6500, gaHSyncNeg },
    { 2048, 1152, 2784, 2192, 2416, 1199, 1153, 1156,   // 2048x1152 @ 70 Hz
      233660000, 7000, gaHSyncNeg },
    { 2048, 1152, 2800, 2200, 2424, 1203, 1153, 1156,   // 2048x1152 @ 75 Hz
      252630000, 7500, gaHSyncNeg },
    { 2048, 1152, 2800, 2200, 2424, 1206, 1153, 1156,   // 2048x1152 @ 80 Hz
      270140000, 8000, gaHSyncNeg },
    { 2048, 1152, 2816, 2208, 2432, 1210, 1153, 1156,   // 2048x1152 @ 85 Hz
      289620000, 8500, gaHSyncNeg },

    };

