/****************************************************************************
*
*                    SciTech SNAP Graphics Architecture
*
*  ========================================================================
*
*   Copyright (C) 1991-2004 SciTech Software, Inc. All rights reserved.
*
*   This file may be distributed and/or modified under the terms of the
*   GNU General Public License version 2 as published by the Free
*   Software Foundation and appearing in the file LICENSE.GPL included
*   in the packaging of this file.
*
*   Licensees holding a valid Commercial License for this product from
*   SciTech Software, Inc. may use this file in accordance with the
*   Commercial License Agreement provided with the Software.
*
*   This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING
*   THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR
*   PURPOSE.
*
*   See http://www.scitechsoft.com/license/ for information about
*   the licensing options available and how to purchase a Commercial
*   License Agreement.
*
*   Contact license@scitechsoft.com if any conditions of this licensing
*   are not clear to you, or you have questions about licensing options.
*
*  ========================================================================
*
* Language:     ANSI C
* Environment:  Any
*
* Description:  Source and dest pixel blending functions. Colors passed to
*               and from the blending functions are always in 32-bit ARGB
*               format for simplicity.
*
****************************************************************************/

#include "ref2dint.h"

/*----------------------------- Implementation ----------------------------*/

#if defined(SUPPORT_16BPP) || defined(SUPPORT_24BPP) || defined(SUPPORT_32BPP)

#define BLEND_PROTO(blend) \
    GA_color REF2D_blendSrc##blend(GA_color S,GA_color D,GA_color C,GA_color A)
#define BLEND_COLOR     S
#include "raster/blend.c"

#define BLEND_PROTO(blend) \
    GA_color REF2D_blendDst##blend(GA_color S,GA_color D,GA_color C,GA_color A)
#define BLEND_COLOR     D
#include "raster/blend.c"

#endif

