/****************************************************************************
*
*                    SciTech SNAP Graphics Architecture
*
*  ========================================================================
*
*   Copyright (C) 1991-2004 SciTech Software, Inc. All rights reserved.
*
*   This file may be distributed and/or modified under the terms of the
*   GNU General Public License version 2 as published by the Free
*   Software Foundation and appearing in the file LICENSE.GPL included
*   in the packaging of this file.
*
*   Licensees holding a valid Commercial License for this product from
*   SciTech Software, Inc. may use this file in accordance with the
*   Commercial License Agreement provided with the Software.
*
*   This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING
*   THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR
*   PURPOSE.
*
*   See http://www.scitechsoft.com/license/ for information about
*   the licensing options available and how to purchase a Commercial
*   License Agreement.
*
*   Contact license@scitechsoft.com if any conditions of this licensing
*   are not clear to you, or you have questions about licensing options.
*
*  ========================================================================
*
* Language:     ANSI C
* Environment:  Any
*
* Description:  Default HalfTone palette and associated lookup tables
*               for performing fast halftone dithering.
*
*               The halftone palette is set up to use entries from 20 to
*               226 in the physical palette, leaving the top 20 and bottom
*               20 for operating system specific use.
*
****************************************************************************/

#include "ref2dint.h"

/*------------------------- Lookup Tables ---------------------------------*/

/* Division lookup tables for 16bpp dithering */

int _REF2D_mod8[256] = {
    0,1,2,3,4,5,6,7,0,1,2,3,4,5,6,7,
    0,1,2,3,4,5,6,7,0,1,2,3,4,5,6,7,
    0,1,2,3,4,5,6,7,0,1,2,3,4,5,6,7,
    0,1,2,3,4,5,6,7,0,1,2,3,4,5,6,7,
    0,1,2,3,4,5,6,7,0,1,2,3,4,5,6,7,
    0,1,2,3,4,5,6,7,0,1,2,3,4,5,6,7,
    0,1,2,3,4,5,6,7,0,1,2,3,4,5,6,7,
    0,1,2,3,4,5,6,7,0,1,2,3,4,5,6,7,
    0,1,2,3,4,5,6,7,0,1,2,3,4,5,6,7,
    0,1,2,3,4,5,6,7,0,1,2,3,4,5,6,7,
    0,1,2,3,4,5,6,7,0,1,2,3,4,5,6,7,
    0,1,2,3,4,5,6,7,0,1,2,3,4,5,6,7,
    0,1,2,3,4,5,6,7,0,1,2,3,4,5,6,7,
    0,1,2,3,4,5,6,7,0,1,2,3,4,5,6,7,
    0,1,2,3,4,5,6,7,0,1,2,3,4,5,6,7,
    0,1,2,3,4,5,6,7,0,0,0,0,0,0,0,0,
    };

int _REF2D_mod4[256] = {
    0,2,4,6,0,2,4,6,0,2,4,6,0,2,4,6,
    0,2,4,6,0,2,4,6,0,2,4,6,0,2,4,6,
    0,2,4,6,0,2,4,6,0,2,4,6,0,2,4,6,
    0,2,4,6,0,2,4,6,0,2,4,6,0,2,4,6,
    0,2,4,6,0,2,4,6,0,2,4,6,0,2,4,6,
    0,2,4,6,0,2,4,6,0,2,4,6,0,2,4,6,
    0,2,4,6,0,2,4,6,0,2,4,6,0,2,4,6,
    0,2,4,6,0,2,4,6,0,2,4,6,0,2,4,6,
    0,2,4,6,0,2,4,6,0,2,4,6,0,2,4,6,
    0,2,4,6,0,2,4,6,0,2,4,6,0,2,4,6,
    0,2,4,6,0,2,4,6,0,2,4,6,0,2,4,6,
    0,2,4,6,0,2,4,6,0,2,4,6,0,2,4,6,
    0,2,4,6,0,2,4,6,0,2,4,6,0,2,4,6,
    0,2,4,6,0,2,4,6,0,2,4,6,0,2,4,6,
    0,2,4,6,0,2,4,6,0,2,4,6,0,2,4,6,
    0,2,4,6,0,2,4,6,0,2,4,6,0,0,0,0,
    };

/* Ordered 4x4 dither matrix for 8 bit to 5 bit halftones. */

int _REF2D_dither4x4[16] = {
    0, 4, 1, 5,
    6, 2, 7, 3,
    1, 5, 0, 4,
    7, 3, 6, 2,
    };

