/****************************************************************************
*
*                    SciTech SNAP Graphics Architecture
*
*  ========================================================================
*
*   Copyright (C) 1991-2004 SciTech Software, Inc. All rights reserved.
*
*   This file may be distributed and/or modified under the terms of the
*   GNU General Public License version 2 as published by the Free
*   Software Foundation and appearing in the file LICENSE.GPL included
*   in the packaging of this file.
*
*   Licensees holding a valid Commercial License for this product from
*   SciTech Software, Inc. may use this file in accordance with the
*   Commercial License Agreement provided with the Software.
*
*   This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING
*   THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR
*   PURPOSE.
*
*   See http://www.scitechsoft.com/license/ for information about
*   the licensing options available and how to purchase a Commercial
*   License Agreement.
*
*   Contact license@scitechsoft.com if any conditions of this licensing
*   are not clear to you, or you have questions about licensing options.
*
*  ========================================================================
*
* Language:     ANSI C
* Environment:  Any
*
* Description:  Include module to implement the inner loop for monochrome
*               bitmap drawing.
*
****************************************************************************/

#define PIXEL0_MASK 0x80
#define PIXEL_SHIFT <<=
#define PIXEL_MASK  0x1000000

/****************************************************************************
REQUIRED MACROS:
BUF_INCR        - Value to increment framebuffer pointer for single pixel
COLOR_TYPE      - Type of color variable (ie: uchar, ushort, ulong)

PARAMETERS:
addr    - Memory address to draw pixel at
image   - Mono bitmap image to draw with
width   - Number of pixels to draw for the scanline
****************************************************************************/

DRAW_SCAN_PROTO(_Generic)
{
    #define PLOT(d,x,c) DC.drawPixel((uchar*)&(d),x,c)
    #include "raster/inner/cmopaq4.c"
}

DRAW_SCAN_PROTO(_S)
{
    #define PLOT(d,x,c) REPLACE_PIXEL(d,x,c)
    #include "raster/inner/cmopaq4.c"
}

#undef  DRAW_SCAN_PROTO
#undef  PIXEL0_MASK
#undef  PIXEL_SHIFT
#undef  PIXEL_MASK

