/****************************************************************************
*
*                    SciTech SNAP Graphics Architecture
*
*  ========================================================================
*
*   Copyright (C) 1991-2004 SciTech Software, Inc. All rights reserved.
*
*   This file may be distributed and/or modified under the terms of the
*   GNU General Public License version 2 as published by the Free
*   Software Foundation and appearing in the file LICENSE.GPL included
*   in the packaging of this file.
*
*   Licensees holding a valid Commercial License for this product from
*   SciTech Software, Inc. may use this file in accordance with the
*   Commercial License Agreement provided with the Software.
*
*   This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING
*   THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR
*   PURPOSE.
*
*   See http://www.scitechsoft.com/license/ for information about
*   the licensing options available and how to purchase a Commercial
*   License Agreement.
*
*   Contact license@scitechsoft.com if any conditions of this licensing
*   are not clear to you, or you have questions about licensing options.
*
*  ========================================================================
*
* Language:     ANSI C
* Environment:  Any
*
* Description:  Include module to implement the inner loop for monochrome
*               XOR mask drawing for the mouse cursor.
*
****************************************************************************/

/****************************************************************************
REQUIRED MACROS:
BUF_INCR        - Value to increment framebuffer pointer for single pixel
COLOR_TYPE      - Type of color variable (ie: uchar, ushort, ulong)

PARAMETERS:
addr    - Memory address to draw pixel at
image   - Mono bitmap image to draw with
width   - Number of pixels to draw for the scanline
****************************************************************************/

DRAW_SCAN_PROTO()
{
    int         i;
    COLOR_TYPE  *d = (COLOR_TYPE*)addr;
    COLOR_TYPE  *ip = (COLOR_TYPE*)imagePtr;

    while (width--) {
        uchar mask = *maskPtr++;
        for (i = 0; i < 8; i++) {
            COLOR_TYPE image = *ip++;
            if (mask & 0x80)
                PLOT_S(d[0],image);
            else
                PLOT_DSx(d[0],image);
            mask <<= 1;
            d++;
            }
        }
}

#undef  DRAW_SCAN_PROTO
