/****************************************************************************
*
*                    SciTech SNAP Graphics Architecture
*
*  ========================================================================
*
*   Copyright (C) 1991-2004 SciTech Software, Inc. All rights reserved.
*
*   This file may be distributed and/or modified under the terms of the
*   GNU General Public License version 2 as published by the Free
*   Software Foundation and appearing in the file LICENSE.GPL included
*   in the packaging of this file.
*
*   Licensees holding a valid Commercial License for this product from
*   SciTech Software, Inc. may use this file in accordance with the
*   Commercial License Agreement provided with the Software.
*
*   This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING
*   THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR
*   PURPOSE.
*
*   See http://www.scitechsoft.com/license/ for information about
*   the licensing options available and how to purchase a Commercial
*   License Agreement.
*
*   Contact license@scitechsoft.com if any conditions of this licensing
*   are not clear to you, or you have questions about licensing options.
*
*  ========================================================================
*
* Language:     ANSI C
* Environment:  Any
*
* Description:  Module to implement the 2D reference rasteriser functions
*               for the SciTech SNAP Graphics Architecture.
*
****************************************************************************/

/****************************************************************************
PARAMETERS:
din         - Pointer to destination bitmap scanline
sin         - Pointer to source bitmap scanline
width       - Number of pixels to convert
translate   - Palette translation vector for destination bitmap
repCounts   - replication counts if this is to be stretched NULL if not
skipLeft    - first replication count to begin on

REMARKS:
This function tranlates the bits in the 8bpp source bitmap to the destination
bitmap using the passed in translation vector.
****************************************************************************/

DRAW_SCAN_PROTO(_S)
{
    COLOR_TYPE  *d = (COLOR_TYPE*)din;
    uchar       *s = (uchar*)sin;

    while (width >= 8) {
        d[0] = t[s[0]];
        d[1] = t[s[1]];
        d[2] = t[s[2]];
        d[3] = t[s[3]];
        d[4] = t[s[4]];
        d[5] = t[s[5]];
        d[6] = t[s[6]];
        d[7] = t[s[7]];
        d += 8;
        s += 8;
        width -= 8;
        }
    while (width--)
        *d++ = t[*s++];
}

#undef  DRAW_SCAN_PROTO

