/****************************************************************************
*
*                    SciTech SNAP Graphics Architecture
*
*  ========================================================================
*
*   Copyright (C) 1991-2004 SciTech Software, Inc. All rights reserved.
*
*   This file may be distributed and/or modified under the terms of the
*   GNU General Public License version 2 as published by the Free
*   Software Foundation and appearing in the file LICENSE.GPL included
*   in the packaging of this file.
*
*   Licensees holding a valid Commercial License for this product from
*   SciTech Software, Inc. may use this file in accordance with the
*   Commercial License Agreement provided with the Software.
*
*   This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING
*   THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR
*   PURPOSE.
*
*   See http://www.scitechsoft.com/license/ for information about
*   the licensing options available and how to purchase a Commercial
*   License Agreement.
*
*   Contact license@scitechsoft.com if any conditions of this licensing
*   are not clear to you, or you have questions about licensing options.
*
*  ========================================================================
*
* Language:     ANSI C
* Environment:  Any
*
* Description:  Include module to implement the inner loop for ternary ROP
*               solid color and color pattern scanline drawing
*
****************************************************************************/

/****************************************************************************
REQUIRED MACROS:
PREAMBLE    - Preamble to setup necessary variables used by PLOT
PLOT        - Macro to plot a pixel at dest with increment, color *p

PARAMETERS:
dest    - Memory address to draw pixel at
x1      - First pixel in scanline
width   - Number of pixels to draw for the scanline
****************************************************************************/
{
    PREAMBLE;

    while (width--) {
        if ((x1 & 7) == 0)
            p = pattern;
        PLOT();
        x1++;
        }
}

#undef  PLOT
