/****************************************************************************
*
*                    SciTech SNAP Graphics Architecture
*
*  ========================================================================
*
*   Copyright (C) 1991-2004 SciTech Software, Inc. All rights reserved.
*
*   This file may be distributed and/or modified under the terms of the
*   GNU General Public License version 2 as published by the Free
*   Software Foundation and appearing in the file LICENSE.GPL included
*   in the packaging of this file.
*
*   Licensees holding a valid Commercial License for this product from
*   SciTech Software, Inc. may use this file in accordance with the
*   Commercial License Agreement provided with the Software.
*
*   This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING
*   THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR
*   PURPOSE.
*
*   See http://www.scitechsoft.com/license/ for information about
*   the licensing options available and how to purchase a Commercial
*   License Agreement.
*
*   Contact license@scitechsoft.com if any conditions of this licensing
*   are not clear to you, or you have questions about licensing options.
*
*  ========================================================================
*
* Language:     ANSI C
* Environment:  Any
*
* Description:  Include module to implement the inner loop for ternary
*               ROP solid color and mono pattern scanline drawing
*
****************************************************************************/

/****************************************************************************
REQUIRED MACROS:
PREAMBLE    - Preamble to setup necessary variables used by PLOT
COLOR_TYPE  - Type of color variable (ie: uchar, ushort, ulong)
PLOT        - Macro to plot a pixel at dest, no increment
PLOT_F      - Optional: plot a foreground color pixel
PLOT_B      - Optional: plot a background color pixel

PARAMETERS:
addr    - Memory address to draw pixel at
width   - Number of pixels to draw for the scanline
****************************************************************************/
{
    PREAMBLE;
#ifndef PLOT_F
    COLOR_TYPE  foreColor = (COLOR_TYPE)DC.foreColor;
    COLOR_TYPE  backColor = (COLOR_TYPE)DC.backColor;
#define PLOT_F()    PLOT(*dest,foreColor,foreColor)
#define PLOT_B()    PLOT(*dest,foreColor,backColor)
#endif

    // Opaque bitmap pattern fill
    while (width--) {
        if ((x1 & 7) == 0)
            p = pattern;
        if (p & 0x80) {
            PLOT_F();
            }
        else {
            PLOT_B();
            }
        INC_DEST(x1,dest);
        p <<= 1;
        x1++;
        }
}

#undef  PLOT
#undef  PLOT_F
#undef  PLOT_B

