/****************************************************************************
*
*                    SciTech SNAP Graphics Architecture
*
*  ========================================================================
*
*   Copyright (C) 1991-2004 SciTech Software, Inc. All rights reserved.
*
*   This file may be distributed and/or modified under the terms of the
*   GNU General Public License version 2 as published by the Free
*   Software Foundation and appearing in the file LICENSE.GPL included
*   in the packaging of this file.
*
*   Licensees holding a valid Commercial License for this product from
*   SciTech Software, Inc. may use this file in accordance with the
*   Commercial License Agreement provided with the Software.
*
*   This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING
*   THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR
*   PURPOSE.
*
*   See http://www.scitechsoft.com/license/ for information about
*   the licensing options available and how to purchase a Commercial
*   License Agreement.
*
*   Contact license@scitechsoft.com if any conditions of this licensing
*   are not clear to you, or you have questions about licensing options.
*
*  ========================================================================
*
* Language:     ANSI C
* Environment:  Any
*
* Description:  Include module to implement solid scanline drawing
*
****************************************************************************/

/****************************************************************************
REQUIRED MACROS:
COLOR_TYPE      - Type of color variable (ie: uchar, ushort, ulong)
COLOR_WHITE     - Macro for the color white constant
DRAW_SCAN_PROTO - Macro to declare the draw scan function prototype

PARAMETERS:
addr        - Memory address to draw pixel at
width       - Number of pixels to draw for the scanline
****************************************************************************/
DRAW_SCAN_PROTO(_Generic)
{
    COLOR_TYPE  *dest = (COLOR_TYPE*)addr;
    COLOR_TYPE  color = (COLOR_TYPE)DC.foreColor;

    while (width--) {
        DC.drawPixel((uchar*)dest X_ARG(x),color);
        INC_DEST(x,dest);
        INC_X(x);
        }
}

#undef  DRAW_SCAN_PROTO
