/****************************************************************************
*
*                    SciTech SNAP Graphics Architecture
*
*  ========================================================================
*
*   Copyright (C) 1991-2004 SciTech Software, Inc. All rights reserved.
*
*   This file may be distributed and/or modified under the terms of the
*   GNU General Public License version 2 as published by the Free
*   Software Foundation and appearing in the file LICENSE.GPL included
*   in the packaging of this file.
*
*   Licensees holding a valid Commercial License for this product from
*   SciTech Software, Inc. may use this file in accordance with the
*   Commercial License Agreement provided with the Software.
*
*   This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING
*   THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR
*   PURPOSE.
*
*   See http://www.scitechsoft.com/license/ for information about
*   the licensing options available and how to purchase a Commercial
*   License Agreement.
*
*   Contact license@scitechsoft.com if any conditions of this licensing
*   are not clear to you, or you have questions about licensing options.
*
*  ========================================================================
*
* Language:     ANSI C
* Environment:  Any
*
* Description:  Module to implement the 2D reference rasteriser functions
*               for the SciTech SNAP Graphics Architecture.
*
****************************************************************************/

/****************************************************************************
PARAMETERS:
din         - Destination memory address
sin         - Source memory address
width       - Number of pixels to copy
repCounts   - Array of pixel replication counts

REMARKS:
This function stretchs a scanline by a generic factor in the X direction.
****************************************************************************/
DRAW_SCAN_PROTO(_S)
{
    COLOR_TYPE  *d = (COLOR_TYPE*)din;
    COLOR_TYPE  *s = (COLOR_TYPE*)sin;

    while (width--) {
        int i = *repCounts++;
        while (i--)
            *d++ = *s;
        s++;
        }
}

DRAW_SCAN_PROTO(_Generic)
{
    COLOR_TYPE  *d = (COLOR_TYPE*)din;
    COLOR_TYPE  *s = (COLOR_TYPE*)sin;

    while (width--) {
        int i = *repCounts++;
        while (i--)
            DC.drawPixel((uchar*)d++ X_ARG(dstLeft),*s);
        s++;
        }
}

#undef  DRAW_SCAN_PROTO

