/****************************************************************************
*
*                    SciTech SNAP Graphics Architecture
*
*  ========================================================================
*
*   Copyright (C) 1991-2004 SciTech Software, Inc. All rights reserved.
*
*   This file may be distributed and/or modified under the terms of the
*   GNU General Public License version 2 as published by the Free
*   Software Foundation and appearing in the file LICENSE.GPL included
*   in the packaging of this file.
*
*   Licensees holding a valid Commercial License for this product from
*   SciTech Software, Inc. may use this file in accordance with the
*   Commercial License Agreement provided with the Software.
*
*   This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING
*   THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR
*   PURPOSE.
*
*   See http://www.scitechsoft.com/license/ for information about
*   the licensing options available and how to purchase a Commercial
*   License Agreement.
*
*   Contact license@scitechsoft.com if any conditions of this licensing
*   are not clear to you, or you have questions about licensing options.
*
*  ========================================================================
*
* Language:     ANSI C
* Environment:  Any
*
* Description:  Module to implement the shadow buffer filter driver support
*               routines in the SNAP Reference Rasteriser.
*
****************************************************************************/

#include "shadint.h"

/*----------------------------- Implementation ----------------------------*/

#define BUF_INCR    3
#define COLOR_TYPE  uchar

#define DRAW_LINEXPOSLO_PROTO() \
    void SHADOW_drawLineXPosLo_24 (uchar *dstBase,int dstAddr,uchar *srcAddr,int d,int Eincr,int NEincr,int count,int fincr)
#define DRAW_LINEXPOSHI_PROTO() \
    void SHADOW_drawLineXPosHi_24 (uchar *dstBase,int dstAddr,uchar *srcAddr,int d,int Eincr,int NEincr,int count,int fincr)
#define DRAW_LINEXNEGLO_PROTO() \
    void SHADOW_drawLineXNegLo_24 (uchar *dstBase,int dstAddr,uchar *srcAddr,int d,int Eincr,int NEincr,int count,int fincr)
#define DRAW_LINEXNEGHI_PROTO() \
    void SHADOW_drawLineXNegHi_24 (uchar *dstBase,int dstAddr,uchar *srcAddr,int d,int Eincr,int NEincr,int count,int fincr)
#include "raster/shadline.c"
